#
# spec file for package ghostscript-library (Version 8.64)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ghostscript-library
%if "%name" != "ghostscript-mini"
BuildRequires:  cups-devel cups-libs dos2unix ed fontconfig-devel gcc-c++ glib2-devel libpng-devel libtiff-devel libxml2-devel t1utils xorg-x11-devel zlib-devel
%if %suse_version > 1020
BuildRequires:  fdupes flex libexpat-devel libjasper-devel libopenssl-devel pkg-config
%else
BuildRequires:  expat libjasper openssl-devel pkgconfig
%endif
%if %suse_version > 1010
BuildRequires:  xorg-x11-fonts
%else
BuildRequires:  xorg-x11
%endif
BuildRequires:  freetype2-devel
%else
BuildRequires:  ed libpng-devel zlib-devel
%if %suse_version > 1020
BuildRequires:  fdupes pkg-config
%else
BuildRequires:  pkgconfig
%endif
%endif
Url:            http://www.ghostscript.com/
Group:          System/Libraries
Provides:       ghostscript gs gs_lib pstoraster ghostscript_any ghostscript-serv
%if %suse_version < 1030
Provides:       pdftoraster
%endif
Obsoletes:      gs_lib ghostscript-serv
%if "%name" != "ghostscript-mini"
Suggests:       hplip-hpijs
Recommends:     ghostscript-fonts-other
Requires:       ghostscript-fonts-std
Suggests:       ghostscript-omni
Conflicts:      ghostscript-mini
%else
Provides:       ghostscript-library ghostscript-fonts-std
Conflicts:      ghostscript-devel
%endif
AutoReqProv:    on
%if "%name" != "ghostscript-mini"
Summary:        Necessary Files for Running Ghostscript
%else
Summary:        Necessary Files for Running Ghostscript
%endif
Version:        8.64
Release:        6.3.1
License:        GPLv2+
Source0:        ghostscript-8.64.tar.bz2
Source1:        ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/GPL/current/ghostscript-fonts-std-8.11.tar.bz2
Source2:        ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/ghostscript-fonts-other-6.0.tar.bz2
Source3:        ftp://ftp.kapella.gpi.ru/pub/cyrillic/psfonts/gs_rusfonts.tar.bz2
Source4:        fonts.scale.nimbus-sans-condensed
Source5:        ghostscript-8.64-patches.tar.bz2
Source9:        epson740.tar.bz2
Source10:       http://surfnet.dl.sourceforge.net/sourceforge/omniprint/Omni-0.9.2.tar.bz2
Source11:       http://surfnet.dl.sourceforge.net/sourceforge/gimp-print/gimp-print-4.2.7.tar.bz2
Source12:       ftp.gnu.org:/pub/gnu/ghostscript/jpegsrc.v6b.tar.bz2
Source20:       gdevcd8-chp2200.c.bz2
Source21:       gdevcd8-cdj880.c.bz2
Source22:       gdevbff.c.bz2
Source23:       gdev820c.c.bz2
Source24:       hpdj-2.6.tar.bz2
Source40:       hpijs.list.bz2
Source41:       drivers.norm
Source44:       drivers.mini
Source50:       glib-config
Source51:       make.catalog
Source52:       make.lost
Source60:       catalog.devices
Source61:       rpmlintrc
Patch0:         ghostscript-8.64.dif
Patch1:         ghostscript-8.64-pdf.dif
Patch2:         ghostscript-8.57-sgirdb.dif
Patch3:         ghostscript-8.61-x11.dif
Patch4:         ghostscript-8.62-bjc.dif
Patch5:         ghostscript-8.60-alignment.dif
Patch6:         ghostscript-8.61-broken64.dif
Patch7:         ghostscript-8.60-cgmout.dif
Patch8:         ghostscript-8.60-cljet5.dif
Patch9:         ghostscript-8.64-cmap.dif
Patch10:        ghostscript-8.64-freetype2.dif
Patch11:        ghostscript-8.60-gsj_update.dif
Patch12:        ghostscript-8.64-inferno.dif
Patch13:        ghostscript-8.61-pipe.dif
Patch14:        ghostscript-8.60-ppd.dif
Patch15:        ghostscript-8.60-truetype.dif
Patch16:        ghostscript-8.60-runlibfileifexists.dif
Patch17:        ghostscript-8.61-dmpr.dif
Patch18:        ghostscript-8.61-stroke-loop.dif
Patch19:        ghostscript-8.62-ijs.dif
Patch20:        ghostscript-8.60-bbox.dif
Patch21:        ghostscript-8.64-echogs.patch
# Currently not applied, does not fit into revision 8594+
Patch22:        ghostscript-8.62-cjk.patch
Patch23:        ghostscript-8.64-bitcmyk-blank-output.patch
Patch24:        ghostscript-fonts-std-8.11.patch
Patch25:        Omni-0.9.2.dif.bz2
Patch26:        Omni-0.9.2-glibc210.dif
Patch27:        hpdj-2.6-gs8.60.dif
Patch30:        gimp-print-4.2.7.dif
Patch31:        gimp-print-4.2.7-pcl.dif
Patch32:        gimp-print-4.2.7-epson_horizontal_adjustment.patch
Patch33:        gimp-print-4.2.7-debug.dif
Patch34:        gimp-print-4.2.7-nb.dif
Patch50:        ghostscript-CVE-2009-0583.patch
Patch51:        ghostscript-CVE-2009-0196.patch
Patch52:        ghostscript-CVE-2009-0792.patch
Patch53:        ghostscript-8.64-jbig2broken.dif
Patch54:        ghostscript-8.64-bnc559122.patch
Patch58:        ghostscript-8.64-P-use.dif
Patch59:        ghostscript-8.64-bnc605043.dif
Patch60:        ghostscript-8.64-gs_init.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %suse_version > 1010
%define xfontdir   /usr/share/fonts
%define xlibdir    /usr/%{_lib}
%define fonts      /usr/share/fonts/truetype:/usr/share/fonts/Type1:/usr/share/fonts/CID:/usr/share/fonts/URW
%else
%define xfontdir   /usr/X11R6/lib/X11/fonts
%define xlibdir    /usr/X11R6/%{_lib}
%define fonts      /usr/X11R6/lib/X11/fonts/truetype:/usr/X11R6/lib/X11/fonts/Type1:/usr/X11R6/lib/X11/fonts/CID:/usr/share/fonts/URW
%endif
%define buildsys   %{_target_cpu}-suse-%{_build_os}
%global gsver      %{version}
%define _default_patch_fuzz 2

%description
This package contains all start-up files for calling gs (GNU
Ghostscript).

Find some useful documentation about a few printer drivers in the
directory:

/usr/share/doc/packages/ghostscript-library/doc/

For mor informations please read the files Use.htm and Devices.htm.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%if "%name" != "ghostscript-mini"

%package     -n ghostscript-x11
License:        GPLv2+
Conflicts:      ghostscript-vga ghostscript-both
PreReq:         coreutils
Requires:       ghostscript-library
Summary:        Ghostscript for the X Window System
Group:          Productivity/Publishing/PS
Provides:       ghostscript_any gs_x11 ghostscript_x11
Obsoletes:      gs_x11
AutoReqProv:    on

%description -n ghostscript-x11
If you plan to preview PostScript documents under the X Window System
you need to install this.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-fonts-std
License:        GPLv2+
Summary:        Standard Fonts for Ghostscript
PreReq:         coreutils %suseconfig_fonts_prereq
Group:          Productivity/Publishing/PS
Provides:       gs_fonts
Obsoletes:      gs_fonts

%description -n ghostscript-fonts-std
The necessary fonts for the PostScript interpreter Ghostscript.  The
URW fonts (URW Software, Poppenbuetteler Bogen 29A, D-22399 Hamburg,
Germany).



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-fonts-other
License:        GPLv2+
Summary:        Optional fonts for Ghostscript
Group:          Productivity/Publishing/PS
Provides:       gs_fonto
Obsoletes:      gs_fonto

%description -n ghostscript-fonts-other
Some useful fonts for the Ghostscript PostScript interpreter.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-fonts-rus
License:        GPLv2+
Summary:        Russian Fonts for Ghostscript
Group:          Productivity/Publishing/PS
Provides:       gs_fontr
Obsoletes:      gs_fontr
Provides:       locale(ghostscript-library:ru;bg)

%description -n ghostscript-fonts-rus
Russian fonts for Ghostscript.



Authors:
--------
    Eugene V. Demidov <jack@gpi.ru>

%package     -n ghostscript-omni
License:        GPLv2+ ; LGPLv2.1+
Summary:        Omni Printer Drivers for Ghostscript
PreReq:         ghostscript-library
Group:          Productivity/Publishing/PS

%description -n ghostscript-omni
The Omni printer driver provides support for over 450 printers using
the Ghostscript framework. In addition, it provides a model for
dynamically loading printer drivers, creating new devices by editing
device description files, and simplifies new printer driver development
by allowing for the subclassing of previous device features.



Authors:
--------
    Mark Hamzy <hamzy@us.ibm.com>
    Mark VanderWiele <markv@us.ibm.com>
    Pete Zannucci <pzaan@us.ibm.com>

%if %suse_version > 1020

%package     -n ghostscript-ijs-devel
License:        GPLv2+
Summary:        IJS development kit
PreReq:         ghostscript-library
Provides:       ghostscript-library:/usr/bin/ijs-config
Group:          Development/Libraries/C and C++

%description -n ghostscript-ijs-devel
Package includes the ijs-config script together with the required
header C files and the static ijs client library.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%endif
%if %suse_version > 1030

%package     -n ghostscript-devel
License:        GPLv2+
Summary:        Ghostscript API header
Requires:       ghostscript-library = %version
Group:          Development/Libraries/C and C++

%description -n ghostscript-devel
Package includes the header together with the required link to the
shared library libgs.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%endif

%package -n libgimpprint
License:        GPLv2+
Version:        4.2.7
Release:        6.3.1
Summary:        Gimp-Print libraries
Group:          Development/Libraries/C and C++

%description -n libgimpprint
Libraries to print with The GIMP



Authors:
--------
    Robert Krawitz <rlk@alum.mit.edu>

%package -n libgimpprint-devel
License:        GPLv2+
Version:        4.2.7
Release:        6.3.1
PreReq:         %install_info_prereq
Requires:       libgimpprint = %{version}
Requires:       glibc-devel
Summary:        Gimp-Print Include Files
Group:          Development/Libraries/C and C++

%description -n libgimpprint-devel
This package provides the Gimp-Print include files.



Authors:
--------
    Robert Krawitz <rlk@alum.mit.edu>

%endif
#
#

%prep
%setup -q -n ghostscript-%gsver -b 5 -a 9 -a 10 -a 11 -a 12
for p in ../ghostscript-%gsver-patches/*
do
    test -e $p || continue
    echo Patch $p
    patch -s -p2 < $p
    find -name '*.orig' | xargs -r rm -f
done
#
# hplip drivers available with jis interface
ln -sf %{S:40} .
#
# Driver addons and replacments
test -f contrib/gdevcd8-chp2200.c || bzip2 -dc %{S:20} > contrib/gdevcd8-chp2200.c
test -f contrib/gdevcd8-cdj880.c  || bzip2 -dc %{S:21} > contrib/gdevcd8-cdj880.c
test -f contrib/gdevbff.c         || bzip2 -dc %{S:22} > contrib/gdevbff.c
test -f contrib/gdev820c.c        || bzip2 -dc %{S:23} > contrib/gdev820c.c
#
# The old hpdj driver from Martin Lottermoser (successor is pcl3)
mkdir hpdj
pushd hpdj/
    bzip2 -dc %{S:24} | tar Oxf - hpdj-2.6/hpdj.tar | tar xvf -
    mv NEWS NEWS.hpdj
    mv pclcomp.c   pclcomp.c.bak
    mv pagecount.c pagecount.c.bak
popd
%patch27 -p0 -b .hpdj
ln -sf $PWD/hpdj/*.[ch] contrib/
ln -s  $PWD/hpdj/*.1    man/
#
# Link the .upp's for stc into library path
for upp in $PWD/epson740/*.upp
do
    test -e $upp			  || continue
    nupp=${upp##*/}
    test ! -e $PWD/contrib/uniprint/$nupp || continue
    test ! -e $PWD/lib/$nupp		  || continue
    ln -sf $PWD/epson740/*.upp lib/
done
#
# OMNI driver
%patch25 -p0 -b .Omni
%patch26 -p0 -b .Omni-gpp44
#
# Driver STP from gimp-print 4.2.7
%patch30 -p0 -b .stp
%patch31 -p0 -b .stppcl
%patch32 -p0 -b .escp2offset
%patch33 -p0 -b .stpdbg
%patch34 -p0 -b .nb
ln -sf gimp-print-4.2.7 stp
ln -sf $PWD/stp/src/ghost/*.[ch]   contrib/
ln -sf $PWD/stp/src/ghost/gs-stp.1 man/
rename no nb gimp-print-4.2.7/po/no.*
#
# Main ghostscript
%patch50 -p0 -b .CVE20090583
%patch51 -p0 -b .CVE20090196
%patch52 -p0 -b .CVE20090792
%patch53 -p0 -b .jbig2broken
%patch54 -p0 -b .bnc559122
%patch1  -p0 -b .pdf
%patch2  -p0 -b .sgirdb
%patch3  -p0 -b .x11
%patch4  -p0 -b .bjc
%patch5  -p0 -b .alignment
%patch6  -p0 -b .broken64
%patch7  -p0 -b .cgmout
%patch8  -p0 -b .cljet5
%patch9  -p0 -b .cmap
%patch10 -p0 -b .freetype2
%patch11 -p0 -b .gsj_update
%patch12 -p0 -b .inferno
%patch13 -p0 -b .pipe
%patch14 -p0 -b .ppd
%patch15 -p0 -b .truetype
%patch16 -p0 -b .rlfie
%patch17 -p0 -b .dmpr
%patch18 -p0 -b .stroke
%patch19 -p0 -b .ijs
%patch20 -p0 -b .bbox
%patch21 -p0 -b .echogs
#%patch22 -p0 -b .cjk
%patch23 -p1 -b .bitcmyk
%patch0  -p0 -b .0
%patch58 -p0
%patch59 -p0
%patch60 -p0

%build
  test ! -f /.buildenv || . /.buildenv
#
  LANG=POSIX
  LC_CTYPE=POSIX
  export LANG LC_CTYPE
#
%ifarch s390 s390x
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-O[123]/-O1}"
%endif
#
%if %{?_with_debug:1}%{!?_with_debug:0}
  DEBUG="-g3 -DDEBUG"
%else
  DEBUG=""
%endif
  LATECFLAGS=""
  LATECXXFLAGS=""
  cflags ()
  {
      local flag=$1; shift
      case "${RPM_OPT_FLAGS}" in
      *${flag}*) return
      esac
      if test -n "$1" && gcc $flag -S -o /dev/null -xc   /dev/null > /dev/null 2>&1 ; then
	  local var=$1; shift
	  eval $var=\${$var:+\$$var\ }$flag
      fi
      if test -n "$1" && gcc $flag -S -o /dev/null -xc++ /dev/null > /dev/null 2>&1 ; then
	  local var=$1; shift
	  eval $var=\${$var:+\$$var\ }$flag
      fi
  }
%if %suse_version > 1010
  cflags -fno-const-strings   LATECFLAGS LATECXXFLAGS
%endif
  cflags -Wno-write-strings   LATECFLAGS LATECXXFLAGS
  cflags -Wno-return-type     LATECFLAGS LATECXXFLAGS
  cflags -Wno-unknown-pragmas LATECFLAGS LATECXXFLAGS
  cflags -Wno-pointer-sign    LATECFLAGS
  cflags -fstack-protector    LATECFLAGS LATECXXFLAGS
    CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fPIC -D_GNU_SOURCE -pipe ${DEBUG} ${LATECFLAGS}"
  CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fPIC -D_GNU_SOURCE -pipe ${DEBUG} ${LATECXXFLAGS}"
%if "%name" != "ghostscript-mini"
  GLIB_CONFIG=%{S:50}
  GLIBOPT="$(/bin/sh %{S:50} --cflags)"
  EXTRADEVS='$(GLD)posync.dev $(GLD)gsnogc.dev $(GLD)async.dev'
  EXTEND_NAMES=2
%else
  GLIBOPT=""
  EXTRADEVS=""
  EXTEND_NAMES=0
%endif
  FT_BRIDGE=1
  FT_CFLAGS="$CFLAGS -include %{_includedir}/ft2build.h"
  FT_LIB_EXT=.so
  FT_ROOT=%_prefix
  FT_SUB=/freetype2
  PATH=${PATH}:${RPM_SOURCE_DIR}
  PKG_CONFIG_PATH=%{_libdir}/pkgconfig:/opt/gnome/%{_lib}/pkgconfig
%if "%name" != "ghostscript-mini"
  export FT_BRIDGE FT_CFLAGS FT_LIB_EXT FT_ROOT FT_SUB
%endif
  export CFLAGS CXXFLAGS DEBUG GLIBOPT GLIB_CONFIG PATH PKG_CONFIG_PATH EXTRADEVS EXTEND_NAMES
%if "%name" != "ghostscript-mini"
# Just in case of shared X11 and/or VGA support
  STATIC_DEVS=""
  SHARED_DEVS="obj/X11.so"
# Just in case of shared X11 and VGA support
# STATIC_DEVS="sxlcrt"
# SHARED_DEVS="obj/X11.so obj/lvga256.so obj/vgalib.so"
# Just in case of shared VGA support
# STATIC_DEVS="sxlcrt"
# SHARED_DEVS="obj/lvga256.so obj/vgalib.so"
# Just in case of linked in X11 support
# STATIC_DEVS="x11 x11alpha x11cmyk x11cmyk2 x11cmyk4 x11cmyk8"
# STATIC_DEVS="$STATIC_DEVS x11gray2 x11gray4 x11mono"
# STATIC_DEVS="$STATIC_DEVS x11rg16x x11rg32x x11_ x11alt_"
# SHARED_DEVS=""
# Just in case of linked in VGA+X11 support
# STATIC_DEVS="x11 x11alpha x11cmyk x11cmyk2 x11cmyk4 x11cmyk8"
# STATIC_DEVS="$STATIC_DEVS x11gray2 x11gray4 x11mono"
# STATIC_DEVS="$STATIC_DEVS x11rg16x x11rg32x x11_ x11alt_"
# STATIC_DEVS="$STATIC_DEVS lvga256 vgalib sxlcrt"
# SHARED_DEVS=""
# Just in case of linked in VGA support
# STATIC_DEVS="lvga256 vgalib sxlcrt"
# SHARED_DEVS=""
  STATIC_DEVS="$(for x in ${STATIC_DEVS}; do echo '$(DD)'$x.dev; done)"
%endif
#
# Make some scripts executable
  chmod +x %{S:50} %{S:51} %{S:52}
#
# Remove local libraries, we use system libs if possible
  rm -rf zlib
  rm -rf libpng
  rm -rf jpeg
# Do not remove jpeg-6b,local version is hacked for gs
# Do not remove jasper, local version is hacked for gs
#
# Remove broken pstoraster script
  find . -name pstoraster | xargs -r rm -vf
  rm -vf bin/*
#
# Main configuration
  autoreconf -fi
  ./configure --build=%{buildsys}	\
	    --prefix=%{_prefix}		\
	    --bindir=%{_bindir}		\
	    --mandir=%{_mandir}		\
	    --datadir=%{_datadir}	\
	    --infodir=%{_infodir}	\
	    --libdir=%{_libdir}		\
	    --with-fontpath=%{fonts}	\
	    --with-libiconv=maybe	\
%if "%name" != "ghostscript-mini"
	    --with-ijs			\
	    --with-omni			\
	    --with-jbig2dec		\
	    --with-jasper		\
	    --enable-dynamic		\
	    --enable-cups		\
	    --enable-shared		\
	    --with-driversfile=%{S:41}  \
%else
	    --without-ijs		\
	    --without-omni		\
	    --without-jbig2dec		\
	    --without-jasper		\
	    --disable-dynamic		\
	    --disable-cups		\
	    --disable-shared		\
	    --with-driversfile=%{S:44}  \
%endif
	    --disable-gtk		\
	    --disable-compile-inits	\
	    --with-gnu-ld
%if "%name" != "ghostscript-mini"
#
# Configure ijs part to get a shared lib out
pushd ijs/
  autoreconf -fi
  ./configure --build=%{buildsys}	\
	    --prefix=%{_prefix}		\
	    --bindir=%{_bindir}		\
	    --mandir=%{_mandir}		\
	    --infodir=%{_infodir}	\
	    --datadir=%{_datadir}	\
	    --libdir=%{_libdir}		\
	    --enable-shared		\
	    --with-gnu-ld
popd
#
# Configure stp part (escputil is part of Gutenberg)
pushd stp/
  GTK_CONFIG=/usr/bin/gtk-config
  IJS_CONFIG=$PWD/../ijs/ijs-config
  export GTK_CONFIG IJS_CONFIG
  ./configure --build=%{buildsys}	\
	    --prefix=%{_prefix}		\
	    --bindir=%{_bindir}		\
	    --infodir=%{_infodir}	\
	    --mandir=%{_mandir}		\
	    --datadir=%{_datadir}	\
	    --libdir=%{_libdir}		\
	    --without-cups		\
	    --with-ijs			\
	    --with-ghost		\
	    --without-gimp		\
%if %suse_version < 1020
	    --enable-escputil		\
%else
	    --disable-escputil		\
%endif
	    --enable-lexmarkutil	\
	    --enable-libgimpprint	\
	    --with-gnu-ld
popd
#
# Configure Omni part
pushd Omni/
  # auto(re)conf is called by setupOmni
  XML_CONFIG=xml2-config
  DEFAULTCUPSEXEROOT=%{_libdir}/cups/filter
  SAVE_CFLAGS="$CFLAGS"
  CXX=g++
%ifarch s390 s390x
  CXXFLAGS="${CXXFLAGS//-O[123]/-O1} -pipe"
%else
  CXXFLAGS="${CXXFLAGS//-O[123]/-Os} -pipe"
%endif
    CFLAGS="${CXXFLAGS}"
  export XML_CONFIG DEFAULTCUPSEXEROOT CXX CXXFLAGS
  libtoolize --copy --force
  ./setupOmni --build=%{buildsys}	\
	    --prefix=%{_prefix}		\
	    --bindir=%{_bindir}		\
	    --infodir=%{_infodir}	\
	    --mandir=%{_mandir}		\
	    --datadir=%{_datadir}/ghostscript	\
	    --libdir=%{_libdir}/ghostscript	\
	    --enable-deviceupdf		\
	    --enable-devicecompile	\
	    --disable-jobdialog		\
	    --disable-devicexml		\
	    --disable-xmltool		\
	    --disable-xmltool2		\
	    --disable-gomni-compat	\
	    --disable-device-fonts	\
	    --with-gnu-ld
  CFLAGS="$SAVE_CFLAGS"
  unset SAVE_CFLAGS
  find Oki*/ -name '*.xml' -print0 | xargs -0r sed -ri  '\@<DriverName>.*</DriverName>@ { s/Okidata/Oki/; }'
  find HPL*/ -name '*.xml' -print0 | xargs -0r sed -ri  '\@<DriverName>.*</DriverName>@ { s/HP.LaserJet/HP/; }'
popd
#
# Remark: Do never add -j here!
pushd ijs/
%if %suse_version > 1030
  make 				libijs_la_LDFLAGS='-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE)'
%else
  make 				libijs_la_LDFLAGS='-avoid-version'
%endif
popd
  PIJS=$PWD/ijs
pushd stp/
  make 				IJS_CFLAGS="-I$PIJS" IJS_LIBS="-L$PIJS -lijs"
  make -C lib/			IJS_CFLAGS="-I$PIJS" IJS_LIBS="-L$PIJS -lijs"
  make -C src/ghost/		IJS_CFLAGS="-I$PIJS" IJS_LIBS="-L$PIJS -lijs"
popd
pushd Omni/
  make
  OPATH=$PATH
  PATH=${PWD}/Omni/:$PATH
  make -C CUPS/ generateBuildPPDs
  PATH=$OPATH
  find CUPS/PPDs/ -name '*.ppd*' | \
  while read line; do
      case "$line" in
      *.gz)
	  gunzip $line
	  line=${line%.gz}
	  ;;
      esac
      if grep -q -E '^\*(Model|Nick|ShortNick)Name:.*[_\(\)].*' $line; then
	  sed -ri  '/^\*(Model|Nick|ShortNick)Name:/{ s/(_|\( *| *\))//g; }' $line
      fi
      case "$line" in
      */HP*-HP_LaserJet_5Si_5Si_Mx_5Si_Mopier-omni-cups.ppd)
	  sed -ri  '/^\*ShortNickName:/{ s/ *Mopier//; }' $line
	  ;;
      */Oki*)
	  sed -ri  '/^\*Manufacturer:/{ s/Okidata/Oki/; }' $line
	  ;;
      */HP*)
	  sed -ri  '/^\*Manufacturer:/{ s/HP_LaserJet/HP/; }' $line
	  ;;
      esac
      gzip -9f $line
  done
popd
%if %suse_version < 1020
pushd stp/
  # escputil is part of Gutenberg
  make -C src/escputil/		IJS_CFLAGS="-I$PIJS" IJS_LIBS="-L$PIJS -lijs"
popd
%endif
%if %suse_version < 1030
pushd cups/
  sed -ri '/pdftoraster/I {
	  s@(^cups:)(.*)(pdftoraster)(.*)@\1\2\4@
	  s@(^\t+).*install.*pdftoraster.*@\1true@I
      }' cups.mak
popd
%endif
  make so			EXTRADEVS="$EXTRADEVS" EXTEND_NAMES=$EXTEND_NAMES STATIC_DEVS="$STATIC_DEVS" \
				GSSOC_XENAME='$(GS)$(XE)' GS_XE='' SEARCH_HERE_FIRST=0
  if test -x sobin/gsc ; then
      ln sobin/gsc sobin/gs
  fi
  if test -n "$SHARED_DEVS" ; then
      make ${SHARED_DEVS}	EXTRADEVS="$EXTRADEVS" EXTEND_NAMES=$EXTEND_NAMES STATIC_DEVS="$STATIC_DEVS" \
				SEARCH_HERE_FIRST=0
  fi
  make pcl3opts
  LD_LIBRARY_PATH=${PWD}/sobin:${PWD}/soobj:${PWD}/obj:${PWD}/stp/src/main/.libs \
  /bin/bash %{S:51} > bin/catalog.devices
%else
  make				EXTRADEVS="$EXTRADEVS" EXTEND_NAMES=$EXTEND_NAMES STATIC_DEVS="$STATIC_DEVS" \
				SEARCH_HERE_FIRST=1
  > bin/catalog.devices
%endif
#

%install
  test ! -f /.buildenv || . /.buildenv
#
# Some cleanups: add common PostScript[tm] file magic and
# set absolut path for escp_24.src in dmp_site.ps
  set +o posix
  for ps in $(find -name '*.ps')
  do
      read magic < $ps || continue
      case "$magic" in
      %%!*) ;;
      *)
	  ed $ps  &> /dev/null <<-EOF
		1
		i
		%%!
		.
		w
		q
		EOF
      esac
  done
  for f in $(find contrib/ lib/ Resource/Init/ -name dmp_site.ps)
  do
      test ! -L $f || continue
      mv $f ${f}.tmp
      sed "s|(\(escp_24.src\))|(%{_datadir}/ghostscript/%{gsver}/lib/\1)|" \
	  < ${f}.tmp > $f
      rm -vf ${f}.tmp
  done
  for f in $(find contrib/ lib/ Resource/Init/ -name gs_fonts.ps)
  do
      test ! -L $f || continue
      mv $f ${f}.tmp
      sed "s|@@FONTPATH@@|%{fonts}|" \
	  < ${f}.tmp > $f
      rm -vf ${f}.tmp
  done
#
  mkdir -p %{buildroot}%{_datadir}/ghostscript/fonts
  mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
#
# Remark: Do never add -j here!
%if "%name" != "ghostscript-mini"
  make soinstall -o so		DESTDIR=%buildroot GSSOC_XENAME='$(GS)$(XE)' GS_XE=''
  if test -x %{buildroot}%{_bindir}/gsc ; then
      rm -vf %{buildroot}%{_bindir}/gs
      mv -f  %{buildroot}%{_bindir}/gsc %{buildroot}%{_bindir}/gs
  fi
  make install-shared		DESTDIR=%buildroot
  make install-contrib-extras	DESTDIR=%buildroot
  make pcl3-install		DESTDIR=%buildroot
  if test -x %{buildroot}%{_bindir}/gsc ; then
      rm -vf %{buildroot}%{_bindir}/gsc
  fi
%else
  make install -o ./bin/gs	DESTDIR=%buildroot
%endif
#
  for xpm in %{buildroot}%{_datadir}/ghostscript/%{gsver}/lib/*.xpm ; do
      test -e $xpm || break
      test -d %{buildroot}%{_datadir}/pixmaps || mkdir -p %{buildroot}%{_datadir}/pixmaps
%if "%name" != "ghostscript-mini"
      install -m 0644 $xpm %{buildroot}%{_datadir}/pixmaps/
%else
      rm -vf $xpm
%endif
  done
#
  for rem in lprsetup.sh pj-gs.sh pv.sh sysvlp.sh unix-lpr.sh ; do
      rm -vf %{buildroot}%{_bindir}/$rem
  done
  mv -v  %{buildroot}%{_bindir}/fixmswrd.pl %{buildroot}%{_bindir}/fixmswrd
%if %suse_version > 1030 && "%name" != "ghostscript-mini"
  mkdir -p %{buildroot}%{_includedir}/ghostscript
  install -m 0644 psi/iapi.h     %{buildroot}%{_includedir}/ghostscript/
  install -m 0644 psi/ierrors.h  %{buildroot}%{_includedir}/ghostscript/
  install -m 0644 base/gdevdsp.h %{buildroot}%{_includedir}/ghostscript/
%else
  rm -vf  %{buildroot}%{_libdir}/libgs.so
  rm -vrf %{buildroot}%{_includedir}/ghostscript
%endif
#
  tar xfj %{S:1} -C %{buildroot}%{_datadir}/ghostscript/
  fdupes -q -r -1 %{buildroot}%{_datadir}/ghostscript/%{gsver}/Resource/Font/ %{buildroot}%{_datadir}/ghostscript/fonts/ | \
  xargs -n 2 | while read first second; do
      case "${first%/*}/" in
      */usr/share/ghostscript/fonts/)
	  target=$second
	  file=$first
	  ;;
      *)  target=$first
	  file=$second
      esac
      case "${target##*/}" in
      fonts.*) continue
      esac
      ln -sf "../../../fonts/${file##*/}" "${target}"
      case "${target##*/}" in
      *Cond*) target=$(echo "${target}" | sed -r 's@(.*)(Bold|Regu)(Cond)(.*)@\1\3\2\4@')
	  ln -sf "../../../fonts/${file##*/}" "${target}"
      esac
  done
%if "%name" != "ghostscript-mini"
  list="$(sed -nr 's/^\+\+\+[[:blank:]]([^[:blank:]]+\.pfa).*/\1/p' %{P:24})"
pushd %{buildroot}%{_datadir}/ghostscript/fonts/
  for pfa in $list
  do
      t1ascii  ${pfa%%.*}.pfb > ${pfa}
  done
  patch -p0 -i %{P:24}
  for pfa in $list
  do
      t1binary ${pfa} > ${pfa%%.*}.pfb
      rm -vf ${pfa}
  done
popd
  tar xfj %{S:2} -C %{buildroot}%{_datadir}/ghostscript/
  tar xfj %{S:3} -C %{buildroot}%{_datadir}/ghostscript/
  install -m 644 %{S:4} %{buildroot}%{_datadir}/ghostscript/fonts/
pushd %{buildroot}%{_datadir}/ghostscript/
  mv gs_rusfonts/fonts/*.{afm,pfb,pfm} fonts/
  map=%{buildroot}%{_datadir}/ghostscript/%{gsver}/lib/Fontmap.rus
  (cat > ${map}) <<-EOF
	%%%% Russian Post Script fonts from Eugeni Demidov (ftp.kapella.gpi.ru)
	%%%% ArialCyrMT, CourierCyrPS, TimesCyrMT, ERKurierKOI8-R
	$(sed -r 's@$@;@' gs_rusfonts/fonts/Fontmap.ad)
	%%%%
	EOF
  mkdir -p %{buildroot}%{_defaultdocdir}/ghostscript-fonts-rus
  install -m 0444 gs_rusfonts/docs/*  %{buildroot}%{_defaultdocdir}/ghostscript-fonts-rus/
  rm -vrf gs_rusfonts/
popd
%endif
  rm -vf %{buildroot}%{_datadir}/ghostscript/fonts/{COPYING,ChangeLog,README,README.tweaks,TODO}
  find %{buildroot}%{_datadir}/ghostscript/fonts/ -type f | xargs -r chmod 0444
#
%if "%name" != "ghostscript-mini"
# Remark: Do never add -j here!
pushd ijs/
  make install			DESTDIR=%buildroot
  rm -vf %{buildroot}%{_bindir}/ijs_client_example
  rm -vf %{buildroot}%{_bindir}/ijs_server_example
  rm -vf %{buildroot}%{_libdir}/libijs.la
  for ijs in %{buildroot}%{_libdir}/libijs-*.so ; do
      if test -e $ijs ; then
	  rm -f      %{buildroot}%{_libdir}/libijs.so
	  mv -f $ijs %{buildroot}%{_libdir}/libijs.so
      fi
      break
  done
popd
pushd stp/
  make install			DESTDIR=%buildroot
  rm -rf %{buildroot}%{_datadir}/locale/en_TEST
popd
pushd Omni/
  make install			DESTDIR=%buildroot 			\
	 			CUPSEXEROOT=%{_libdir}/cups/filter	\
	 			CUPSDATAROOT=%{_datadir}/cups/model/omni
  mkdir -p %{buildroot}%{_datadir}/ghostscript/%{gsver}/doc/Omni
  mkdir -p %{buildroot}%{_defaultdocdir}/ghostscript-omni
  install -m 0444 docs/* %{buildroot}%{_datadir}/ghostscript/%{gsver}/doc/Omni/
  ln -sf %{_datadir}/ghostscript/%{gsver}/doc/Omni \
	 %{buildroot}%{_defaultdocdir}/ghostscript-omni/Omni
%if %suse_version >= 1030
  mkdir %{buildroot}/etc/ld.so.conf.d
  echo %{_libdir}/ghostscript/Omni > %{buildroot}/etc/ld.so.conf.d/ghostscript-omni.conf
%endif
popd
%find_lang gimp-print
%endif
#
  rm -rf   %{buildroot}%{xfontdir}/URW
  mkdir -p %{buildroot}%{xfontdir}
  ln -sf   %{_datadir}/ghostscript/fonts %{buildroot}%{xfontdir}/URW
#
  ln -sf %{_datadir}/ghostscript/%{gsver}/doc	   %{buildroot}%{_defaultdocdir}/%{name}/
  ln -sf %{_datadir}/ghostscript/%{gsver}/examples %{buildroot}%{_defaultdocdir}/%{name}/
  install -m 0444 bin/catalog.devices		   %{buildroot}%{_defaultdocdir}/%{name}/
#
  mkdir -p %{buildroot}/etc/ghostscript/%{gsver}
  (cat > config.gs)<<-EOF
	%%defattr (644, root, root, 755)
	%%dir /etc/ghostscript
	%%dir /etc/ghostscript/%%{gsver}
	EOF
  for c in Fontmap Fontmap.X11-auto {cidf,xlat}map \
	   FAPI{cidfmap,config,fontmap}
  do
      sc=$(find ${PWD} -name $c)
      uc=$(find %{buildroot}/usr/share/ghostscript/%{gsver} -name $c)
      ec=/etc/ghostscript/%{gsver}/$c
      if test -n "$uc" -a -f "$uc" ; then
	  mv -v $uc %{buildroot}$ec
      else
	  uc=%{buildroot}/usr/share/ghostscript/%{gsver}/lib/$c
	  if test -n "$sc" -a -s $sc ; then
	      install -m 0644 $sc %{buildroot}$ec
	  else
	      touch %{buildroot}$ec
	      chmod 0644 %{buildroot}$ec
	  fi
      fi
      ln -sf $ec $uc
      echo "%%config $ec" >> config.gs
  done
#
# clean up buildroot
  rm -vf %{buildroot}%{_datadir}/ghostscript/%{gsver}/doc/gs-pcl3.html
  rm -rf %{buildroot}%{_datadir}/gimp-print/doc
  rm -rf %{buildroot}%{_datadir}/gimp-print/samples
  rm -vf %{buildroot}%{_mandir}/man1/ansi2knr.1*
%if %suse_version >= 1020
  rm -vf %{buildroot}%{_mandir}/man1/escputil.1*
%endif
  rm -vf %{buildroot}%{_mandir}/man1/ijsgimpprint.1*
  rm -vf %{buildroot}%{_mandir}/man8/cups-calibrate.8*
%if "%name" == "ghostscript-mini"
  rm -vf %{buildroot}%{_defaultdocdir}/ghostscript-fonts-rus/README.rusfonts
  rm -vf %{buildroot}%{_defaultdocdir}/ghostscript-fonts-rus/rusps.txt
  rm -vf %{buildroot}%{_bindir}/dumphint
%else
  rm -vf %{buildroot}%{_datadir}/ghostscript/%{gsver}/Resource/Init/*.ps.*
  rm -vf %{buildroot}%{_datadir}/ghostscript/%{gsver}/lib/*.ps.*
  rm -vf %{buildroot}%{_datadir}/ghostscript/%{gsver}/lib/*.ppd.*
  rm -vf %{buildroot}%{_datadir}/ghostscript/%{gsver}/lib/*.upp.*
  target=""
  fdupes -q -r %{buildroot}%{_datadir}/ghostscript/Omni/ | \
  while read file; do
      if test -z "$target" ; then
	  target="$file"
      else
	  if test -z "$file" ; then
	      target=""
	      continue
	  fi
	  ln -sf "${target##*/}" "$file"
      fi
  done
  unset file
  target=%{buildroot}%{_datadir}/ghostscript/%{gsver}/doc/Omni/Omni.Readme.1st
  if test -e $target ; then
      mv ${target} ${target}.tmp
      dos2unix -n ${target}.tmp ${target}
      rm -f ${target}.tmp
  fi
  unset target
%endif
  mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
  if test -d %{buildroot}%{_defaultdocdir}/ghostscript/ ; then
      cp -a  %{buildroot}%{_defaultdocdir}/ghostscript/* \
	     %{buildroot}%{_defaultdocdir}/%{name}/
      rm -rf %{buildroot}%{_defaultdocdir}/ghostscript/
  fi
  cp LICENSE doc/COPYING %{buildroot}%{_datadir}/ghostscript/%{gsver}/doc/
  ln -sf ../../../ghostscript/%{gsver}/doc/{LICENSE,COPYING} \
	%{buildroot}%{_defaultdocdir}/%{name}/
  if test -e %{buildroot}%{_libdir}/ghostscript/cups/filter/CUPSToOmni ; then
      mkdir -p %{buildroot}%{_libdir}/cups/filter
      mv %{buildroot}%{_libdir}/ghostscript/cups/filter/CUPSToOmni \
	 %{buildroot}%{_libdir}/cups/filter/
      rm -rf %{buildroot}%{_libdir}/ghostscript/cups
  fi
  rm -vf %{buildroot}%{_bindir}/CUPSToOmni
  # No libtool files
  find %{buildroot}/ -name 'lib*.la' | xargs -r rm -f
  # PPDs are ready
  for file in GenerateOmniPPD	\
	GenerateOmniPPDs	\
	OmniDeviceOptions	\
	OmniDeviceTester	\
	OmniDeviceValid		\
	OmniDevices	 	\
	OmniFoomaticGenerator	\
	OmniPDCServer
  do
      rm -vf %{buildroot}%{_bindir}/$file
  done
  rm -vrf %{buildroot}%{_datadir}/ghostscript/Omni/
  rm -vf  %{buildroot}%{_datadir}/ghostscript/%{gsver}/doc/Omni/Omni.Readme.1st
  # Install the `Print the Primary Hint Stream from a linearized PDF file'
  chmod 0755 %{buildroot}%{_datadir}/ghostscript/%{gsver}/lib/pphs
  mv %{buildroot}%{_datadir}/ghostscript/%{gsver}/lib/pphs %{buildroot}%{_bindir}/
#
#
%if "%name" != "ghostscript-mini"
#

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -n ghostscript-fonts-std
if test -d %{xfontdir}/URW -a ! -L %{xfontdir}/URW; then
  rm -rf %{xfontdir}/fonts/URW
fi

%post -n ghostscript-fonts-std
if test -x sbin/conf.d/SuSEconfig.fonts ; then
    %run_suseconfig -m fonts
fi
if test -x sbin/conf.d/SuSEconfig.pango ; then
    %run_suseconfig -m pango
fi

%postun -n ghostscript-fonts-std
if test -x sbin/conf.d/SuSEconfig.fonts ; then
    %run_suseconfig -m fonts
fi
if test -x sbin/conf.d/SuSEconfig.pango ; then
    %run_suseconfig -m pango
fi

%post -n libgimpprint -p /sbin/ldconfig

%postun -n libgimpprint -p /sbin/ldconfig

%post -n libgimpprint-devel
%install_info --info-dir=%{_infodir} %{_infodir}/gimpprint.info.gz

%postun -n libgimpprint-devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gimpprint.info.gz
#
%endif

%files -f config.gs
%defattr(-, root, root)
%if "%name" != "ghostscript-mini"
%if %suse_version < 1020
%{_bindir}/escputil
%endif
%if %suse_version > 1020
%exclude %{_bindir}/ijs-config
%endif
%endif
%{_bindir}/*
%dir %{_datadir}/ghostscript
%dir %{_datadir}/ghostscript/%{gsver}
%{_datadir}/ghostscript/%{gsver}/doc
%{_datadir}/ghostscript/%{gsver}/examples
%{_datadir}/ghostscript/%{gsver}/lib
%dir %{_datadir}/ghostscript/%{gsver}/Resource
%dir %{_datadir}/ghostscript/%{gsver}/Resource/CMap
%dir %{_datadir}/ghostscript/%{gsver}/Resource/ColorSpace
%dir %{_datadir}/ghostscript/%{gsver}/Resource/Decoding
%dir %{_datadir}/ghostscript/%{gsver}/Resource/Encoding
%dir %{_datadir}/ghostscript/%{gsver}/Resource/Font
%dir %{_datadir}/ghostscript/%{gsver}/Resource/Init
%dir %{_datadir}/ghostscript/%{gsver}/Resource/SubstCID
%{_datadir}/ghostscript/%{gsver}/Resource/CMap/*
%{_datadir}/ghostscript/%{gsver}/Resource/ColorSpace/*
%{_datadir}/ghostscript/%{gsver}/Resource/Decoding/*
%{_datadir}/ghostscript/%{gsver}/Resource/Encoding/*
%if "%name" == "ghostscript-mini"
%{_datadir}/ghostscript/%{gsver}/Resource/Font/*
%endif
%{_datadir}/ghostscript/%{gsver}/Resource/Init/*
%{_datadir}/ghostscript/%{gsver}/Resource/SubstCID/*
%if "%name" != "ghostscript-mini"
%exclude %{_bindir}/gimpprint-config
%exclude %{_mandir}/man1/gimpprint-config.1.gz
%endif
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%if "%name" != "ghostscript-mini"
%if %suse_version >= 1030
%config %attr(-,lp,sys) /etc/cups/pdftoraster.convs
%endif
%config %attr(-,lp,sys) /etc/cups/pstoraster.convs
%{_libdir}/libgs.so.*
%if %suse_version > 1030
%{_libdir}/libijs.so.*
%else
%{_libdir}/libijs.so
%endif
%if %suse_version <= 1020
%{_libdir}/libijs.a
%{_includedir}/ijs
%{_libdir}/pkgconfig/ijs.pc
%endif
%dir %{_libdir}/ghostscript
%dir %{_libdir}/ghostscript/%{gsver}
%dir %{_libdir}/cups
%dir %{_libdir}/cups/filter
%if %suse_version >= 1030
%{_libdir}/cups/filter/pdftoraster
%endif
%{_libdir}/cups/filter/pstoraster
%{_libdir}/cups/filter/pstopxl
%dir %{_datadir}/cups
%dir %{_datadir}/cups/model
%{_datadir}/cups/model/pxlcolor.ppd
%{_datadir}/cups/model/pxlmono.ppd
%else
%{xfontdir}/URW
%{_datadir}/ghostscript/fonts
%endif
%doc %{_defaultdocdir}/%{name}
#
#
#
%if "%name" != "ghostscript-mini"

%files -n ghostscript-x11
%defattr(-, root, root)
%{_libdir}/ghostscript/%{gsver}/X11.so
%{_datadir}/pixmaps/*
%if %suse_version > 1020

%files -n ghostscript-ijs-devel
%defattr(-, root, root)
%{_bindir}/ijs-config
%{_libdir}/pkgconfig/ijs.pc
%{_libdir}/libijs.a
%if %suse_version > 1030
%{_libdir}/libijs.so
%endif
%{_includedir}/ijs
%endif
%if %suse_version > 1030

%files -n ghostscript-devel
%defattr(-, root, root)
%{_libdir}/libgs.so
%{_includedir}/ghostscript
%endif

%files -n ghostscript-omni
%defattr(-, root, root)
%dir %{_libdir}/ghostscript/Omni
%{_libdir}/cups/filter/CUPSToOmni
%{_libdir}/ghostscript/Omni/*.so*
%if %suse_version >= 1030
%config /etc/ld.so.conf.d/ghostscript-omni.conf
%endif
%{_datadir}/cups/model/omni
%doc %{_defaultdocdir}/ghostscript-omni

%files -n libgimpprint -f gimp-print.lang
%defattr(-, root, root)
%{_libdir}/libgimpprint.so.*

%files -n libgimpprint-devel
%defattr(-, root, root)
%{_bindir}/gimpprint-config
%{_datadir}/aclocal/gimpprint.m4
%{_includedir}/gimp-print
%{_libdir}/libgimpprint.so
%{_libdir}/libgimpprint.a
%doc %{_mandir}/man*/gimpprint*
%doc %{_infodir}/gimpprint.*

%files -n ghostscript-fonts-std
%defattr(0644,root,root,0755)
%{xfontdir}/URW
%dir %{_datadir}/ghostscript/fonts
%dir %{_datadir}/ghostscript/%{gsver}/Resource/Font
%verify(not md5 size mtime) %{_datadir}/ghostscript/fonts/fonts.*
%{_datadir}/ghostscript/fonts/a010013l.afm
%{_datadir}/ghostscript/fonts/a010015l.afm
%{_datadir}/ghostscript/fonts/a010033l.afm
%{_datadir}/ghostscript/fonts/a010035l.afm
%{_datadir}/ghostscript/fonts/b018012l.afm
%{_datadir}/ghostscript/fonts/b018015l.afm
%{_datadir}/ghostscript/fonts/b018032l.afm
%{_datadir}/ghostscript/fonts/b018035l.afm
%{_datadir}/ghostscript/fonts/c059013l.afm
%{_datadir}/ghostscript/fonts/c059016l.afm
%{_datadir}/ghostscript/fonts/c059033l.afm
%{_datadir}/ghostscript/fonts/c059036l.afm
%{_datadir}/ghostscript/fonts/d050000l.afm
%{_datadir}/ghostscript/fonts/n019003l.afm
%{_datadir}/ghostscript/fonts/n019004l.afm
%{_datadir}/ghostscript/fonts/n019023l.afm
%{_datadir}/ghostscript/fonts/n019024l.afm
%{_datadir}/ghostscript/fonts/n019043l.afm
%{_datadir}/ghostscript/fonts/n019044l.afm
%{_datadir}/ghostscript/fonts/n019063l.afm
%{_datadir}/ghostscript/fonts/n019064l.afm
%{_datadir}/ghostscript/fonts/n021003l.afm
%{_datadir}/ghostscript/fonts/n021004l.afm
%{_datadir}/ghostscript/fonts/n021023l.afm
%{_datadir}/ghostscript/fonts/n021024l.afm
%{_datadir}/ghostscript/fonts/n022003l.afm
%{_datadir}/ghostscript/fonts/n022004l.afm
%{_datadir}/ghostscript/fonts/n022023l.afm
%{_datadir}/ghostscript/fonts/n022024l.afm
%{_datadir}/ghostscript/fonts/p052003l.afm
%{_datadir}/ghostscript/fonts/p052004l.afm
%{_datadir}/ghostscript/fonts/p052023l.afm
%{_datadir}/ghostscript/fonts/p052024l.afm
%{_datadir}/ghostscript/fonts/s050000l.afm
%{_datadir}/ghostscript/fonts/z003034l.afm
%{_datadir}/ghostscript/fonts/a010013l.pfm
%{_datadir}/ghostscript/fonts/a010015l.pfm
%{_datadir}/ghostscript/fonts/a010033l.pfm
%{_datadir}/ghostscript/fonts/a010035l.pfm
%{_datadir}/ghostscript/fonts/b018012l.pfm
%{_datadir}/ghostscript/fonts/b018015l.pfm
%{_datadir}/ghostscript/fonts/b018032l.pfm
%{_datadir}/ghostscript/fonts/b018035l.pfm
%{_datadir}/ghostscript/fonts/n019003l.pfm
%{_datadir}/ghostscript/fonts/n019004l.pfm
%{_datadir}/ghostscript/fonts/n019023l.pfm
%{_datadir}/ghostscript/fonts/n019024l.pfm
%{_datadir}/ghostscript/fonts/n019064l.pfm
%{_datadir}/ghostscript/fonts/n021003l.pfm
%{_datadir}/ghostscript/fonts/n021004l.pfm
%{_datadir}/ghostscript/fonts/n021023l.pfm
%{_datadir}/ghostscript/fonts/n021024l.pfm
%{_datadir}/ghostscript/fonts/z003034l.pfm
%{_datadir}/ghostscript/fonts/a010013l.pfb
%{_datadir}/ghostscript/fonts/a010015l.pfb
%{_datadir}/ghostscript/fonts/a010033l.pfb
%{_datadir}/ghostscript/fonts/a010035l.pfb
%{_datadir}/ghostscript/fonts/b018012l.pfb
%{_datadir}/ghostscript/fonts/b018015l.pfb
%{_datadir}/ghostscript/fonts/b018032l.pfb
%{_datadir}/ghostscript/fonts/b018035l.pfb
%{_datadir}/ghostscript/fonts/c059013l.pfb
%{_datadir}/ghostscript/fonts/c059016l.pfb
%{_datadir}/ghostscript/fonts/c059033l.pfb
%{_datadir}/ghostscript/fonts/c059036l.pfb
%{_datadir}/ghostscript/fonts/d050000l.pfb
%{_datadir}/ghostscript/fonts/n019003l.pfb
%{_datadir}/ghostscript/fonts/n019004l.pfb
%{_datadir}/ghostscript/fonts/n019023l.pfb
%{_datadir}/ghostscript/fonts/n019024l.pfb
%{_datadir}/ghostscript/fonts/n019043l.pfb
%{_datadir}/ghostscript/fonts/n019044l.pfb
%{_datadir}/ghostscript/fonts/n019063l.pfb
%{_datadir}/ghostscript/fonts/n019064l.pfb
%{_datadir}/ghostscript/fonts/n021003l.pfb
%{_datadir}/ghostscript/fonts/n021004l.pfb
%{_datadir}/ghostscript/fonts/n021023l.pfb
%{_datadir}/ghostscript/fonts/n021024l.pfb
%{_datadir}/ghostscript/fonts/n022003l.pfb
%{_datadir}/ghostscript/fonts/n022004l.pfb
%{_datadir}/ghostscript/fonts/n022023l.pfb
%{_datadir}/ghostscript/fonts/n022024l.pfb
%{_datadir}/ghostscript/fonts/p052003l.pfb
%{_datadir}/ghostscript/fonts/p052004l.pfb
%{_datadir}/ghostscript/fonts/p052023l.pfb
%{_datadir}/ghostscript/fonts/p052024l.pfb
%{_datadir}/ghostscript/fonts/s050000l.pfb
%{_datadir}/ghostscript/fonts/z003034l.pfb
%{_datadir}/ghostscript/%{gsver}/Resource/Font/*

%files -n ghostscript-fonts-other
%defattr(0644,root,root,0755)
%dir %{_datadir}/ghostscript/fonts
%{_datadir}/ghostscript/fonts/bchb.afm
%{_datadir}/ghostscript/fonts/bchbi.afm
%{_datadir}/ghostscript/fonts/bchr.afm
%{_datadir}/ghostscript/fonts/bchri.afm
%{_datadir}/ghostscript/fonts/fcyr.afm
%{_datadir}/ghostscript/fonts/fcyri.afm
%{_datadir}/ghostscript/fonts/u003043t.afm
%{_datadir}/ghostscript/fonts/u004006t.afm
%{_datadir}/ghostscript/fonts/fcyr.gsf
%{_datadir}/ghostscript/fonts/fcyri.gsf
%{_datadir}/ghostscript/fonts/fhirw.gsf
%{_datadir}/ghostscript/fonts/fkarw.gsf
%{_datadir}/ghostscript/fonts/hrgerb.gsf
%{_datadir}/ghostscript/fonts/hrgerd.gsf
%{_datadir}/ghostscript/fonts/hrgero.gsf
%{_datadir}/ghostscript/fonts/hrgkc.gsf
%{_datadir}/ghostscript/fonts/hrgks.gsf
%{_datadir}/ghostscript/fonts/hrgrrb.gsf
%{_datadir}/ghostscript/fonts/hrgrro.gsf
%{_datadir}/ghostscript/fonts/hritrb.gsf
%{_datadir}/ghostscript/fonts/hritro.gsf
%{_datadir}/ghostscript/fonts/hrpldb.gsf
%{_datadir}/ghostscript/fonts/hrpldbi.gsf
%{_datadir}/ghostscript/fonts/hrplr.gsf
%{_datadir}/ghostscript/fonts/hrplrb.gsf
%{_datadir}/ghostscript/fonts/hrplrbo.gsf
%{_datadir}/ghostscript/fonts/hrplro.gsf
%{_datadir}/ghostscript/fonts/hrpls.gsf
%{_datadir}/ghostscript/fonts/hrplsb.gsf
%{_datadir}/ghostscript/fonts/hrplsbo.gsf
%{_datadir}/ghostscript/fonts/hrplso.gsf
%{_datadir}/ghostscript/fonts/hrpltb.gsf
%{_datadir}/ghostscript/fonts/hrpltbi.gsf
%{_datadir}/ghostscript/fonts/hrsccb.gsf
%{_datadir}/ghostscript/fonts/hrscco.gsf
%{_datadir}/ghostscript/fonts/hrscsb.gsf
%{_datadir}/ghostscript/fonts/hrscso.gsf
%{_datadir}/ghostscript/fonts/hrsyr.gsf
%{_datadir}/ghostscript/fonts/u003043t.gsf
%{_datadir}/ghostscript/fonts/u004006t.gsf
%{_datadir}/ghostscript/fonts/bchb.pfa
%{_datadir}/ghostscript/fonts/bchbi.pfa
%{_datadir}/ghostscript/fonts/bchr.pfa
%{_datadir}/ghostscript/fonts/bchri.pfa
%{_datadir}/ghostscript/fonts/hrger.pfa
%{_datadir}/ghostscript/fonts/hrgrr.pfa
%{_datadir}/ghostscript/fonts/hritr.pfa
%{_datadir}/ghostscript/fonts/hrpld.pfa
%{_datadir}/ghostscript/fonts/hrpldi.pfa
%{_datadir}/ghostscript/fonts/hrplt.pfa
%{_datadir}/ghostscript/fonts/hrplti.pfa
%{_datadir}/ghostscript/fonts/hrscc.pfa
%{_datadir}/ghostscript/fonts/hrscs.pfa
%{_datadir}/ghostscript/fonts/putb.pfa
%{_datadir}/ghostscript/fonts/putbi.pfa
%{_datadir}/ghostscript/fonts/putr.pfa
%{_datadir}/ghostscript/fonts/putri.pfa
%{_datadir}/ghostscript/fonts/fhirw.pfm
%{_datadir}/ghostscript/fonts/fkarw.pfm
%{_datadir}/ghostscript/fonts/u003043t.pfm
%{_datadir}/ghostscript/fonts/u004006t.pfm

%files -n ghostscript-fonts-rus
%defattr(0644,root,root,0755)
%doc %dir %{_defaultdocdir}/ghostscript-fonts-rus/
%doc %{_defaultdocdir}/ghostscript-fonts-rus/README.rusfonts
%doc %{_defaultdocdir}/ghostscript-fonts-rus/rusps.txt
%dir %{_datadir}/ghostscript/fonts
%{_datadir}/ghostscript/fonts/arial8.afm
%{_datadir}/ghostscript/fonts/arial8.pfb
%{_datadir}/ghostscript/fonts/arial8.pfm
%{_datadir}/ghostscript/fonts/arialbd8.afm
%{_datadir}/ghostscript/fonts/arialbd8.pfb
%{_datadir}/ghostscript/fonts/arialbd8.pfm
%{_datadir}/ghostscript/fonts/arialbi8.afm
%{_datadir}/ghostscript/fonts/arialbi8.pfb
%{_datadir}/ghostscript/fonts/arialbi8.pfm
%{_datadir}/ghostscript/fonts/ariali8.afm
%{_datadir}/ghostscript/fonts/ariali8.pfb
%{_datadir}/ghostscript/fonts/ariali8.pfm
%{_datadir}/ghostscript/fonts/cokoi8b.afm
%{_datadir}/ghostscript/fonts/cokoi8b.pfb
%{_datadir}/ghostscript/fonts/cokoi8b.pfm
%{_datadir}/ghostscript/fonts/cokoi8bi.afm
%{_datadir}/ghostscript/fonts/cokoi8bi.pfb
%{_datadir}/ghostscript/fonts/cokoi8bi.pfm
%{_datadir}/ghostscript/fonts/cokoi8i.afm
%{_datadir}/ghostscript/fonts/cokoi8i.pfb
%{_datadir}/ghostscript/fonts/cokoi8i.pfm
%{_datadir}/ghostscript/fonts/cokoi8n.afm
%{_datadir}/ghostscript/fonts/cokoi8n.pfb
%{_datadir}/ghostscript/fonts/cokoi8n.pfm
%{_datadir}/ghostscript/fonts/cour8.afm
%{_datadir}/ghostscript/fonts/cour8.pfb
%{_datadir}/ghostscript/fonts/cour8.pfm
%{_datadir}/ghostscript/fonts/courbd8.afm
%{_datadir}/ghostscript/fonts/courbd8.pfb
%{_datadir}/ghostscript/fonts/courbd8.pfm
%{_datadir}/ghostscript/fonts/courbi8.afm
%{_datadir}/ghostscript/fonts/courbi8.pfb
%{_datadir}/ghostscript/fonts/courbi8.pfm
%{_datadir}/ghostscript/fonts/couri8.afm
%{_datadir}/ghostscript/fonts/couri8.pfb
%{_datadir}/ghostscript/fonts/couri8.pfm
%{_datadir}/ghostscript/fonts/times8.afm
%{_datadir}/ghostscript/fonts/times8.pfb
%{_datadir}/ghostscript/fonts/times8.pfm
%{_datadir}/ghostscript/fonts/timesbd8.afm
%{_datadir}/ghostscript/fonts/timesbd8.pfb
%{_datadir}/ghostscript/fonts/timesbd8.pfm
%{_datadir}/ghostscript/fonts/timesbi8.afm
%{_datadir}/ghostscript/fonts/timesbi8.pfb
%{_datadir}/ghostscript/fonts/timesbi8.pfm
%{_datadir}/ghostscript/fonts/timesi8.afm
%{_datadir}/ghostscript/fonts/timesi8.pfb
%{_datadir}/ghostscript/fonts/timesi8.pfm
%endif

%changelog
* Fri Jul  9 2010 werner@suse.de
- Backport change from SVN repository to avoid reading gs_init.ps
  from current workiung directory (bnc#608071)
* Wed Jun 30 2010 werner@suse.de
- Do not open files on public accessible directories if not
  specified on the command line (bnc#608071)
* Tue Jun 29 2010 werner@suse.de
- Add final patch for CVE-2010-1869 (bnc#605043)
* Tue Jun  8 2010 werner@suse.de
- Compile ghostscript-library with SEARCH_HERE_FIRST=0 to close
  vulnerability due reading startup file even from temporary
  directories (make option -P- to the default) (bnc#608071)
- Add security patch from upstream (CVE-2010-1869, bnc#605043)
* Mon Nov 30 2009 werner@suse.de
- Fix possible vulnerability in ghostscript 8.64 (bnc#559122)
* Tue Nov 24 2009 werner@suse.de
- Add patch to correct bitcmyk blank output on e.g. Samsung CLP-300
  and other printers (bnc# 557948)
- Do not destroy upstream patches due fuzz=0
* Mon Jul 20 2009 werner@suse.de
- Correct font path for URW by adding a slash
* Tue Jul 14 2009 werner@suse.de
- Add URW directory to FONTPATH otherwise we have no file access
- Make make.catalog work again
* Tue Jul 14 2009 werner@suse.de
- Make ghostscript-mini build
- Make SLES10 also build
* Fri Jul 10 2009 werner@suse.de
- Sort fdupes output before using it for symbolic links
* Wed Jul  8 2009 werner@suse.de
- Fix bnc#509903 caused by a fix for bnc#409605 which is not
  needed anymore
* Thu Jun 18 2009 werner@suse.de
- Update to GPL ghostscript 8.64
  * Various bug fix in 8.64 and 8.63
* Sat Jun 13 2009 coolo@novell.com
- fix build
* Wed May 13 2009 werner@suse.de
- Complete patch for CVE-2009-0792 (bnc#491897)
* Wed May 13 2009 werner@suse.de
- Remove broken part of workaround for bnc#492765
* Thu Apr 16 2009 werner@suse.de
- Use initial workaround for bnc#492765
* Tue Apr  7 2009 werner@suse.de
- heap-overflow in JBIG2 decoder (CVE-2009-0196)
- integer overflow in ICC library (CVE-2009-0792)
- crash in CCITTFax decoder (bnc#492765)
- buffer overflow in BaseFont writer module (bnc#492765)
* Thu Mar 12 2009 werner@suse.de
- Add fix for ICC library integer overflows (bnc#483303,
  CVE-2009-0583, CVE-2009-0584)
* Thu Feb 12 2009 coolo@suse.de
- sort the output of find, so the build result is reproducible
* Thu Jan  8 2009 werner@suse.de
- Fix Mannufacturer within PPD of omni (bnc#464435)
- Add workaround vor bnc#429345 to make cups able to find omni libs
* Tue Jul 29 2008 werner@suse.de
- Fix crash in bjc driver (bnc#412523)
* Thu Jul 24 2008 werner@suse.de
- Fix crash on null pointer reference (bnc#409605)
* Mon Apr  7 2008 werner@suse.de
- Be sure the disabling of Font API works even without the driver
* Thu Apr  3 2008 dmueller@suse.de
- fix ghostscript-devel dependencies (bnc#366514)
* Wed Apr  2 2008 werner@suse.de
- Disable Font API (rendering with freetype library) as it breaks
  some documents using embedded fonts  (bnc#375373)
- Add CJK patch from debian but disable it (missmatch in rev 8554+)
* Tue Apr  1 2008 werner@suse.de
- Remove already included patches
- Add some patches from SVN trunk tree revision 8572 upto revision 8617
- Update to GPL ghostscript 8.6Update to2
  * Fix typo that caused unbalanced 'q' 'Q' operators in PDF's (caused by
    rev 8501). gsbug#689728.
  * Remove some C++ style comments.
  * Update product name, copyright and release dates.
  * Add default FontResourceDir needed when COMPILE_INITS=1 is used so
    that the fonts from Resource/Font in the distribution directory that
    are built into %%rom%%Resource/Font/ will be found.
  * Attempt to repair invalid embedded TT fonts without cmap table.
    gsbug#689707, customer 531.
  * Fix (clist interpreter) : Improve transparency performance, step 4.
  * Added setting of fill_rule in pclxl_endpath().
  * Fix (clist interpreter) : Improve transparency performance, step 1.
  * Remove a space betveen -f and a file name to prevent parsing of the file name
    that starts with '-' as an options. gsbug#689682.
  * When the values of the color key mask exceed the valid range clip them to the
    nearest valid values and continue. Don't discard the mask as we did before.
    gsbug#689717, customer 580.
  * Fix (images) : Improve coordinate precision when scaling an image (continued 7).
  * Add definitions of some C99 types missing from old versions of Cygwin.
  * Fix (images) : Improve coordinate precision when scaling an image (continued 6).
  * Fix (FAPI) : Embedded fonts didn't work.
  * Propagate the new method argument change introduced in r8528 to the wts
    device so that it compiles again.
  * Fix (images) : Improve coordinate precision when scaling an image (continued 3).
  * Fix (images) : Improve coordinate precision when scaling an image (continued 2).
  * Fix for regressions introduced with rev 8526. Some resolutions of CMYK, 1-bit
    per component devices that had CMYK colors and Gray colors had strange dithers.
    gsbug#689706.
  * Fix (images) : Improve coordinate precision when scaling an image (continued).
  * Document the need to update the current documentation snapshot.
  * Include 12 and 16 bit image support as part of the core graphics
    library. gsbug#689688.
  * Fix (images) : Improve coordinate precision when scaling an image.
  * Modify pdf_info utility to match the changes in PDF interpreter interface.
    gsbug#689680.
  * Fix ColorValues parameter problem when device has total number of bits (depth)
    of more than 31 bits, resulting in a "rangecheck" (-15) error.
  * Fix (TT): Ignore broken post 2.0 table generated by "Windows Type 1 Installer".
  * Fix (graphics) : Optimize filling a path with a shading color.
  * Fix (TT): Fix a gsbug#in /getinterval_from_stringarray
  * Fix (clist & transparency) : Improve the compositor queue logic.
  * Fix (Font renderer) : Horizontal metrics sometimes applied with WMode 1 fonts.
  * Fix (DSC parser) : Avoid a structure type name duplicate.
  * Fix (patterns) : The clipping was wrong with antrivial pattern matrix.
  * Fix (shadings) : A memory deallocation problem.
  * Fix (save/restore) : Remove gs_ref_memory_s::inherited.
  * Only report the ICC Profile colorspace when the jasper library's degsbug#
    level is above zero. gsbug#689662.
  * Explicitly close CMap files opened during CMap-CIDFont font enumeration.
    On certain systems file handles were used up before GC freed inaccessible
    handles causing PostScript errors. gsbug#689594.
  * Fix (clist interpreter) : Skip idle compositors, step 6.
  * Fix : Cygwin/gcc warnings.
  * Comment-only change: remove obsolete reference to MS-DOS limitations and
    mention that PDF interpreter passes un-escaped font names to PS level.
    gsbug#689651.
  * Unbreak the build.
  * Fixed umlauts (maybe, am having trouble testing the results).
  * Add unmodified byte-oriented AES encryption code by Brian Gladman. These
    files serve as a reference point. They are not yet included into any
    project nor can be compiled by some of the compilers we support.
  * Remove EXTEND_NAMES from the top level makefiles.
  * There is a fallback to the default value of 0 in inameidx.h so there
    is no change in the default behaviour. The extended name table can
    still be activated by defining EXTEND_NAMES on the compiler command
    line or changing the source directly.
  * Deprecate USE_FPU, no changes expected.
  * Re-export runpdfbegin, dopdfpages, and runpdfend procedures, which turned out
    to be used by 3rd party programs. Partly revert the rev. 8325.
  * Don't ignore xref stream in a hybrid  "classic xref" + "stream xref" file
    as PDF 1.5-compatible should do. Thanks to SaGS for the patch. gsbug#688282.
  * Remove the SYSTEM_CONSTANTS_ARE_WRITABLE compile-time define.
  * Add a flag that marks PDF text rendering mode 3 to avoid confusion with other
    non-rendering text operations such as stringwidth. This avoids unnecessary
    calculation of the current point, which fails when the CTM is singular. This
    patch continues conservative approach to the text rendering modes started in
    rev. 4006. gsbug#689614, customer 384.
  * Remove the USE_ASM build flag.
  * Don't try to obtain the bounding box of a glyph when FontBBox is invalid and
    CTM is singular. Set an empty box and consider it valid. The bounding box is
    not used when the CTM is singular. gsbug#689614, customer 384.
  * Add -Wundef to the autoconf build.
  * There have been a number of problems related to missing defines lately.
  * Also remove gdevcmap from the documentation.
  * Document the behaviour of the reference count macros.
  * Further update the graphics library unit test and build. The gslib test
    executable builds and works now.
  * Fix (jbig2dec): The global data stream for a JBIG2 image in a PDF
    file was being released, and the data freed by the garbage collector,
    before the data was used.
  * Details: gsbug#689568 and #689569. Uses the patch supplied by Alex
    in thread for #689569, implements Ralph's comments about the structure
    naming. Does not attempt to change the memory allocator. This slightly
    modified patch also works with the Luratech decoder.
  * sjbig2.h, sjbig2_luratech.h; make the global data structure
    s_jbig2_global_data_t public. Store the structure in the
    stream decoder state.
  * sjbig2.c, sjbig2_luratech.c; store a pointer to the global
    data structure.
  * sjbig2_luratech.c; don't reset the pointer during initialisation!
  * zfjbig2.c; Pass the global pointer to the stream decoder for
    release in the finalize routine.
  * Remove some old helper scripts.
  * They aren't used much and we no longer wish to maintain them.
  * Ignore operator readonly when it is applied to a wrong type inside an
    embedded Type 1 font. gsbug#689617, customer 580.
  * Update the graphics library unit tests for recent code changes.
  * Fix (pdfwrite): PDFXTrimBoxToMediaBoxOffset used the supplied data
    incorrectly.
  * Fix (transparency) : Providing a right nested masks logic (continued).
  * Fix (clist interpreter) : Improving degsbug#trace about compositors.
  * Work around a GCC 4.2.1 gsbug#on PowerPC that generates incorrect code in the
    release build affecting scanning of binary tokens containing floating point
    numbers. gsbug#689586.
  * Align the pointer to gx_clist_state array in gx_device_clist_writer device to
    the natural boundary to avoid misaligned memory access and bus errors on ARM
    processors. gsbug#689600.
  * Fix (transparency) : Unwinding the nested masks logic.
  * Fix for SEGV when more than 4 colorants used with psdcmyk device.
    gsbug#689457 for customer #460.
  * Replaced C++ comments with C comments (// -> /* */).
  * Update to previous commit. Add pdf14_buffer maskbuf pointer to GC structures.
  * Pick up the transparency mask buffer when a new transparency group is pushed rather than when it is popped. Solves memory leaks and incorrect rendering when transparency groups are nested.
  * Use a smaller buffer for eexecDecode filter to avoid consumption of the data
    that follow a short (and incorrect) run of 0's in PS files generated by
    Adobe Acrobat from PDF files with usage restrictions. gsbug#689577
  * Fix (clist interpreter) : Skip idle compositors, step 3.
  * Fix (clist interpreter) : Skip idle compositors, step 2.
  * Let CUPS filters use buffered input to Ghostscript via '-_', to work around gsbug#689577.
  * Fix (shadings) : Optimize fill_linear_color_scanline with analitic computation of the color change position.
  * Adds the base font address to the -Zm tracing output.
  * Add URW fonts to the Resource/Font directory. These will be included when
    COMPILE_INITS=1. Fontmap.GS still references the disk file name so that
    the disk file based fonts can still be used if they are available.
  * Fix (shadings) : Optimize path manipulations for shading fill (continued).
  * Add the 'pamcmyk32' (previously the 'pam' device) to all default builds.
    This will be used for regression testing of 32-bit CMYK.
  * Document the jasper build file version skew menioned in gsbug#689570.
  * Fix CIEBasedA problem, add DeviceGray and DeviceRGB support to this utility.
  * Update the regression code license headers with the current contact
    address.
  * Change the regression scripts to rewrite the product as
    "GPL Ghostscript".
  * Fix (pdfwrite): Fonts containing glyphs with no sbw or hsbw
    instruction caused pdfwrite to crash.
* Thu Mar  6 2008 mfabian@suse.de
- bnc#367188: for the condensed variants of "Nimbus Sans L",
  move the "Condensed" from the style to the end of the family
  name. Otherwise these fonts are not selectable in most
  applications.
* Fri Feb 22 2008 werner@suse.de
- Update to GPL ghostscript 8.61 (bnc#297524)
  * default device is now x11alpha is available otherwise bbox
  * Check that a device halftone exists before writing it
  * Change the product name for the release
  * Wrong background color of a soft mask group
  * Remove spurious executable bits
  * pdfwrite: type 3 fonts with exceedingly small BoundingBox
    entries were clamped to 0 or 1
  * pdfwrite: named objects, created via a pdfmark such as /BP,
    could not have their content modified after the object was
    completed
  * Correct obvious typo in default rgb to cmyk color mapping
  * TT font handler: Place the True Type interpreter and its
    data into stable memory
  * TT fonts: Ignore invalid entries in loca table
  * Fix command list-based devices on 64-bit platforms
  * pdfwrite: A wrong encoding of Metadata.
  * Fix for seg fault caused by undersized buffer
  * transparency in clist: Write transparent paths and images
    to clist as high level objcts
* Wed Feb  6 2008 werner@suse.de
- Make member counting of range_buff array independend from type
* Tue Feb  5 2008 werner@suse.de
- Fix stack-based buffer overflow (CESA-2008-001, bnc#358914)
* Thu Jan 31 2008 werner@suse.de
- ghostscript-mini: No self conflict but provide
  ghostscript-fonts-std and ghostscript-library
* Thu Nov 22 2007 werner@suse.de
- Move all Omni dependencies from ghostscript-library to
  ghostscript-omni but Recommends ghostscript-omni  (bug #343336)
* Wed Nov 14 2007 werner@suse.de
- Correct path of pkgconfig file ijs.pc
* Wed Nov 14 2007 werner@suse.de
- Suggest hpijs instead of a hard requirement (bug #341564)
- Add security fix for lib jasper in ghostscript 8.60 (bug #340138)
- Provide all PPDs for CUPSToOmni filter and move all together
  to ghostscript-omni
- Provide a ghostscript-devel which includes libgs.so link together
  with ghostscript API and DSP device header files.
- Suppress some new warnings of new gcc 4.3
- Make Omni compile with gcc 4.3
* Mon Nov  5 2007 werner@suse.de
- Do not handle pipes from standard in as character devices
* Tue Oct 23 2007 werner@suse.de
- Do not use freetype library for mini ghostscript
* Fri Oct 19 2007 werner@suse.de
- Re-enable escputils for SLES10/SL10.1 only
* Tue Oct  2 2007 werner@suse.de
- Fix miss-compilation within bbox_draw() of zchar1.c
* Fri Sep 28 2007 werner@suse.de
- Be sure that libgs.so does not link with X11 libraries as we
  use the X11.so shared module with dlopen()
* Fri Sep 21 2007 werner@suse.de
- Make if build even with older distributions
- Reorder freetype2 patch for the FAPI interface
- Avoid compiling twice even for ghostscript-mini
* Thu Sep  6 2007 werner@suse.de
- CIDFontType 2 is FontType 11
- Avoid error message on failing freetype FAPI plugin
- Extend FONTPATH to find all fonts of type 1, 9, 11, and 42
* Wed Sep  5 2007 werner@suse.de
- Avoid version on 10.2 and less for libijs
- Use fdupes for omni development files
- Do not forget xorg fonts packages to make configure happy
- Diable FAPI to avoid mapping on not existing fonts
* Tue Sep  4 2007 werner@suse.de
- Make the drivers djet820c, stp, dmprt, and hpdj working without
  using the obsolete and therefore removed gs_stderr
- Fix driver dmprt to use new API of lib_fopen()
- Re-add missed .runlibfileifexists PostScript macro
- Split off mini ghostscript package
* Tue Aug  7 2007 werner@suse.de
- Switch back to original ghostscript 8.60 now with GPL license due
  to the fact that ESP ghostscript is dead
- Port missed patches I've done for ESP project to 8.60
- Resort order of changelog entries
- Make it build and pack
* Sat Jul 21 2007 coolo@suse.de
- do not require xorg-x11 to build
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Wed Jun  6 2007 werner@suse.de
- Branch ijs-devel subpackage for ijs-config, headers, and library
* Fri Jun  1 2007 werner@suse.de
- libijs.so is required by us even with RPMlint
* Tue May 29 2007 werner@suse.de
- Remove not required devel files
- RPMlint: ignore omni .so files too because those are files are
    required and loaded with dlopen by the omni library.
- RPMlint: Move some gimpprint devel files into libgimpprint-devel
* Thu May 24 2007 ro@suse.de
- added ldconfig to post scripts
* Thu Mar 29 2007 aj@suse.de
- Add flex to BuildRequires.
* Tue Dec  5 2006 werner@suse.de
- Make sgirgb driver more robust on itanium (bug #209879)
* Tue Nov  7 2006 werner@suse.de
- More on bug #203287: do not create a new bbox device for the
  overprint opterator for an already existing memory device.
* Fri Nov  3 2006 werner@suse.de
- More on bug #203287 check for the bbox because otherwise some
  some areas will not be updated.
* Thu Nov  2 2006 werner@suse.de
- X11 device: reset update count after flush to avoid that the
  page is flushed twice, fix for bug #203287
* Sun Oct 22 2006 olh@suse.de
- remove /usr/share/man/man1/escputil.1.gz, conflicts with gutenprint
* Sat Oct 21 2006 schwab@suse.de
- Fix bogus version check.
* Mon Oct 16 2006 werner@suse.de
- Redo removing escputil to avoid conficts with gutenprint
* Sat Oct 14 2006 aj@suse.de
- Use suse_version to get setup xorg paths.
* Fri Oct 13 2006 aj@suse.de
- Delete /usr/bin/dumphint for ghostscript-library.
* Wed Oct 11 2006 werner@suse.de
- Update t oversion espgs 8.15.3
  * Fixes bug #202092
  * Fixes bug #209879
* Wed Sep 20 2006 kssingvo@suse.de
- removed escputil to avoid file conflicts.
  escputil incl. manual are now in the package "gutenprint"
* Thu Aug 17 2006 aj@suse.de
- Revert last patch, we really need the fonts.
* Wed Aug 16 2006 aj@suse.de
- Remove unneeded BuildRequire on xorg-x11.
* Fri Aug 11 2006 mfabian@suse.de
- move URW symlink to /usr/share/fonts (because of X11R7).
* Wed Jul 12 2006 werner@suse.de
- Do never build in parallel, this will not work
* Tue Jun 20 2006 dmueller@suse.de
- Remove ghostscript-symlink as it breaks update
- Build parallel
* Tue Jun 13 2006 werner@suse.de
- Do not stop execution on unknown page device features (#161004)
* Thu Jun  1 2006 werner@suse.de
- Update to espgs version 8.15.2 (unstripped:)
* Wed May 17 2006 schwab@suse.de
- Don't strip binaries.
* Thu Mar  9 2006 werner@suse.de
- Use the pdf_sec.ps of the new GPL ghostscript 8.50 to be able
  to read newest encrypted pdf files.
* Wed Mar  1 2006 werner@suse.de
- Add new krgb-1.2 patch for gdevijs to fix buffer overflow
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(ghostscript-library:ru;bg)" to
  ghostscript-fonts-rus sub-package.
* Tue Feb 28 2006 werner@suse.de
- Fix a crash if a broken bbox is found in pdf file (bug #152780)
* Fri Feb 10 2006 werner@suse.de
- Replace cups with cusp-libs for cups-config
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 schwab@suse.de
- Don't strip binaries.
* Fri Jan 13 2006 werner@suse.de
- Fix crash on writing compressed image in pdfwrite (bug #140387)
- Add cups to build dependencies to get cups-config back
* Thu Jan 12 2006 werner@suse.de
- Use the gcc stack protector
- Some cleanups
* Tue Dec 20 2005 werner@suse.de
- Mark and move configuration to /etc/ghostscript/ (bug #140312)
* Mon Dec 19 2005 werner@suse.de
- Enable libgs.so link
* Wed Sep 28 2005 werner@suse.de
- Update to current SVN version which includes most of our patches
- Make it install even with norootforbuild
- Enable shared library libgs to get /usr/bin/gs much smaller
- Be sure that out make.catalog script works with this
- Add X11 font path to default library path of ghostscript
* Thu Sep 22 2005 werner@suse.de
- The new vector device force bbox device to use alloc (#118205)
* Wed Aug 31 2005 werner@suse.de
- Fix double free corruption (bug #114056)
- Remove example driver bmpa* accordingly to the docs (bug #114056)
- Fix stupid typecheck error of inferno driver (bug #114068)
- Fix polarity and gcc4 trouble of devicen driver (bug #114068)
- Rotate page dimensions of cljet5 driver (bug #114068)
* Tue Aug 30 2005 werner@suse.de
- Remove pcx2up example device (#114068)
- Use gs standard for open file and pipes in cgm device (#114068)
  Problem: this driver is IMHO broken even if it writes to pipes
* Mon Aug 29 2005 werner@suse.de
- Fix buffer overflow in sprintf buffer (bug #113823)
* Thu Aug 25 2005 werner@suse.de
- Fix color model handling of pcl3 driver for gs 8.15 (bug #112659)
* Wed Aug 24 2005 mfabian@suse.de
- Bugzilla #104656 revisited: improved patch to help display
  Japanese PDF files produced by Acroread correctly.
  Thanks to Takashi Iwai <tiwai@suse.de> for adapting the patch
  to our ghostscript package.
* Mon Aug 15 2005 mfabian@suse.de
- Bugzilla #104656: Fix for Ghostscript to render vertical
  Japanese correctly again.
* Thu Jun 30 2005 werner@suse.de
- Make a real fix of the bjc drivers (bug #90551)
- Make -O1 also available on install section and mini spec
* Wed Jun 29 2005 uli@suse.de
- build with -O1 on s390* (avoids miscompilation)
* Fri Jun 24 2005 werner@suse.de
- Fix broken definition of the cinfo structures of lx5000 printer
  driver which also enables the BitsPerPixel option (bug #90551)
* Thu Jun 23 2005 werner@suse.de
- Switch back to old color model for bjc drivers to re-enable
  the BitsPerPixel option (bug #90551)
* Tue Jun 21 2005 werner@suse.de
- Do not check for the first directory in LIBPATH for Resources
  but for the first occurance of CMap (bug #91584)
* Wed May  4 2005 werner@suse.de
- Extend ttfont fix for 64bit architecture (#77399, #78859, #78860)
* Fri Apr  1 2005 werner@suse.de
- Make gdevcd8-cdj880.c gcc4 clean
* Fri Mar 18 2005 mfabian@suse.de
- Bugzilla #51778: (Nimbus Roman No9 L looks always bold)
  also fix the .afm files of all "Nimbus Mono L" fonts, they should
  also always contain "IsFixedPitch true".
* Fri Mar 18 2005 werner@suse.de
- Remove patch junks from library directory
* Thu Mar 17 2005 werner@suse.de
- Add check for using a pipe for older printer drivers
* Thu Mar 17 2005 werner@suse.de
- Add A4 paper sizes to print pcl of stp driver (bug #73606)
- Add fix for TrueType Fonts on 64bit architectures
- Add workaround for color switch in ps files for hpdj (bug #72932)
- Fix allocation bug in driver lx5000 (bug #73608)
* Wed Mar 16 2005 werner@suse.de
- Fix alignment in imagen driver (bug #72929)
- Fix gray mapping in stcolor driver (bug #72931) and maybe in
  hpdj driver (bug #72932)
* Mon Mar 14 2005 werner@suse.de
- Remove uint cast on pointer adresses which breaks e.g. on ia64
- Add version independent Resource directory
* Thu Mar 10 2005 werner@suse.de
- Add the driver postscript file for printer mj700v2c to file list
* Tue Mar  8 2005 werner@suse.de
- Add rc2 patch to get pdf/ps with ttf fonts working
- Also the two printers dj505j and picty180 are back
- Eplaser and other japanese printers is now part of
  esp ghostscript 8.15
- Disable ppc patch for now because rc2 seems to be
  correct fixed in the allocation engine
* Tue Mar  1 2005 werner@suse.de
- Disable redirection of %%stdout to %%stderr (bug #67027)
* Tue Mar  1 2005 werner@suse.de
- Move hplip drivers list into a file to build without hplip
* Wed Feb 23 2005 werner@suse.de
- Remove hpijs which is provided by hplip
- make.catalog and make.lost should use correct gs version
* Wed Feb 23 2005 werner@suse.de
- For stcolor.ps: the product name is now ESP Ghostscript
* Tue Feb 22 2005 werner@suse.de
- Use original patch for eplaser with gs 8.15 from Epson
* Mon Feb 21 2005 werner@suse.de
- Add workaround for broken structure alignment on ppc architecture
* Thu Feb 17 2005 werner@suse.de
- Update to esp ghostscript 8.15rc1
- Update to eplaser to 3.1.6 (bug #49979)
- Include open printing glue into gs (bug #49978)
- Add many new printers and devices and skip the broken devices
- Skip hpijs program from file list (now part of hplib sub rpm)
* Mon Feb  7 2005 ro@suse.de
- prevent re-make during make install
* Sat Feb  5 2005 schwab@suse.de
- Fix building with gcc4.
* Tue Dec 14 2004 schwab@suse.de
- Fix some invalid casts.
* Wed Dec  8 2004 werner@suse.de
- Update OMNI part ro 0.9.2
- Fix bug in XML parser
- Skip jobdialog to avoid gtk2/gtkmm2/libsigc++2
* Mon Dec  6 2004 werner@suse.de
- Switch from gtk/gtkmm/libsigc++ to gtk2/gtkmm2/libsigc++2
* Fri Oct 29 2004 werner@suse.de
- Move from no to nb for gimp-print library
- Add the fonts to the provide of ghostscript-mini
* Sun Oct 10 2004 schwab@suse.de
- Fix requires.
* Thu Sep 23 2004 werner@suse.de
- Make it build even with DEBUG on
* Fri Aug 13 2004 mfabian@suse.de
- Bugzilla #39451: run SuSEconfig.fonts only if it exists.
* Thu Aug 12 2004 werner@suse.de
- Use gimpprint-config only once
* Fri Aug  6 2004 werner@suse.de
- Make Omni knowing about lib64
* Thu Aug  5 2004 werner@suse.de
- Update to Omni 0.9.1
- Update to HPIJS 1.6.1
- Update to gimp-print 4.2.7
- New package ghostscript-omni for the Omni toolkit
  now installed.
* Wed Jun 30 2004 werner@suse.de
- Fix const object to const address of object for new gcc
* Fri Jun  4 2004 werner@suse.de
- Fix name table count issue, force normal allocation (bug #41501)
- Change Epson Stylus page offset fix
- Use chown rpm macro
* Wed Apr 28 2004 mfabian@suse.de
- Bugzilla #39592: add the directories
  /usr/X11R6/lib/X11/fonts/ /usr/share/fonts/
  to the allowed directories for fonts even when -DPARANOIDSAFER
  is used to make kghostview be able to display CJK PostScript
  documents again.
* Mon Apr 26 2004 werner@suse.de
- Avoid compiler warning about strict-aliasing
* Wed Apr 14 2004 werner@suse.de
- Add Epson Stylus page offset fix
- Add cups page counting patch
* Fri Mar 26 2004 mfabian@suse.de
- more fixes for reopened Bugzilla #36778:
  set "/isFixedPitch true" for all variants of "Nimbus Mono L"
* Wed Mar 24 2004 werner@suse.de
- Choose initial modular memory chunk size to avoid crash (#35906)
* Wed Mar 24 2004 mfabian@suse.de
- Bugzilla #36778:
  add gnu-gs-fonts-std-8.11.patch to change the weight of
  "Nimbus Roman No9 L:style=Medium Italic"
  and "Nimbus Roman No9 L:style=Medium" back to "Bold" again
  instead of "Medium".
  As the patch is applied after converting to .pfa, t1utils
  is added to "# neededforbuild".
* Fri Mar 19 2004 mfabian@suse.de
- ghostscript-fonts-std subpackage:
  run SuSEconfig.fonts in %%post and %%postun,
  use %%suseconfig_fonts_prereq
* Thu Mar 18 2004 werner@suse.de
- New eplaser 3.1.3 with better support gs-7.x (request of Sun)
* Tue Mar 16 2004 werner@suse.de
- Fix cast trouble on 64 bit architectures (bug #35798)
* Thu Mar 11 2004 werner@suse.de
- Change standard fonts from version 6.0 to 8.11 (bug #35699)
* Tue Mar  2 2004 werner@suse.de
- Simply skip the malloc patch on ppc to fix bug #35028
* Thu Feb 26 2004 werner@suse.de
- Correct gimp-print version number
- Fix bug #35028 by overwriting the autodetected aligment of jmpbuf
- Add patch for gs_ttf.ps which may help on some 12 cmap ttf fonts
* Wed Feb 11 2004 werner@suse.de
- Update gimp-print to 4.2.6
- Be sure that _all_ stuff is compiled with -fno-strict-aliasing
- Enable FLAGS even for all trees
- Make aclocal.m4 of Omni more upto date
* Sun Jan 18 2004 meissner@suse.de
- Fixed some losssage from last autoconf upgrade by removing
  AC_OUTPUT for directories that are not present.
* Wed Jan 14 2004 werner@suse.de
- Add hijs cahnges for new gcc-3.4 because of trouble with
  referenced objects and simple types.
* Wed Dec 10 2003 werner@suse.de
- Mask tilde in sed command of ps2epsi script (bug #32488)
* Thu Aug 28 2003 werner@suse.de
- Move to the cups crash patch from the CUPS team
* Wed Aug 27 2003 mfabian@suse.de
- Bugzilla #29127: add similar patch to Werner's patch
  which loads Fontmap files with ".runlibfile" only if they exist
  also to the code which loads CIDFnmap files.
* Mon Aug 18 2003 werner@suse.de
- Fix `-c' option: allow empty space between option and argument
* Fri Aug 15 2003 kukuk@suse.de
- Add %%verify tag for fonts.{dir,scale} to make rpm -V quiet
- Use %%defattr
* Thu Aug 14 2003 werner@suse.de
- Update to espgs-7.07.1rc1
- Update to OMNI 0.9.0
- Update to (HP)IJS 1.4.1
* Mon Aug  4 2003 mfabian@suse.de
- add more fixes from the gs-cjk mailing list to gs_ttf.ps to
  make vertical printing work correctly with the kochi-substitute
  fonts.
* Mon Jul 28 2003 mfabian@suse.de
- Add gs_ttf.ps-make-kochi-substitute-work.patch from gs-cjk
  mailing list to make ghostscript-cjk work with the
  kochi-substitute fonts.
* Mon Jul 21 2003 meissner@suse.de
- Added new GLIB search path.
* Thu Jun 12 2003 kukuk@suse.de
- Fix filelist (add missing directories)
* Tue Jun 10 2003 okir@suse.de
- security fix for (%%pipe%%) file commands [#27300]
* Wed Jun  4 2003 ro@suse.de
- also disable pre/post scripts for subpacks in -mini case
* Mon Jun  2 2003 ro@suse.de
- completely disable subpacks in -mini case
* Mon May 26 2003 ro@suse.de
- remove unpackaged files from buildroot
* Thu May 15 2003 kukuk@suse.de
- Fix Filelist (add missing directory)
* Wed May 14 2003 ro@suse.de
- libtoolize in omni subdir
* Thu May  8 2003 mfabian@suse.de
- remove gnu-gs-fonts-std-6.0.patch (obsolete, because
  fonts.{dir,scale} are now autogenerated by
  mkfontscale/fonts-config)
- add fonts.scale.nimbus-sans-condensed as an override for
  the condensed versions of "Nimbus Sans" which mkfontscale
  cannot distinguish from the "normal" versions. Maybe this
  can be fixed in future versions of mkfontscale?
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Mar 13 2003 ro@suse.de
- removed epoch
* Mon Mar 10 2003 werner@suse.de
- Fix sigsegv within gdevcups.c (bug #24872)
* Tue Mar  4 2003 werner@suse.de
- Fix buf #23785: include fonts into source rpm due space on DVD
* Fri Feb 28 2003 werner@suse.de
- Fix Font Resource Path (is not identical to normal fonts path)
* Wed Feb 26 2003 kssingvo@suse.de
- fixed permissions of cups related files and directories
* Tue Feb 25 2003 ro@suse.de
- export LC_CTYPE during build
  (works around not specifying charset in message catalogs)
* Mon Feb 24 2003 ro@suse.de
- fixed build for x86_64 (copy config.sub/guess from Omni for hpijs)
* Thu Feb 20 2003 werner@suse.de
- Remove lxm3200 driver source because espgs-7.05.6 already
  includes them (bug #23890)
* Mon Feb 17 2003 mfabian@suse.de
- add "(Fontmap.X11-auto) .runlibfile" to
  /usr/share/ghostscript/*/lib/Fontmap. It's added on top to
  give the autogenerated Fontmap.X11-auto lowest priority. The
  Fontmap files included later may contain manually
  edited/packaged entries and should override anything generated
  automatically.
* Sat Feb 15 2003 ro@suse.de
- run configure in main src dir to create gs_res.ps
* Fri Feb 14 2003 werner@suse.de
- Make it build
- Fix bug #23432: use install_info rpm macro
* Thu Feb 13 2003 werner@suse.de
- Update versions: espgs 7.05.6, Omni 0.7.2, ijs 1.3.1,
  gimp-print 4.2.5
- Fix bug #23266: remove -mminimal-toc from opt flags for ppc64
* Wed Nov 20 2002 werner@suse.de
- Add switches for the internal mini ghostscript to the spec file
* Wed Nov 13 2002 mfabian@suse.de
- Bug #18817: Add gs_ttf.ps.patch
  to handle fonts with overlapping CMap 4 ranges
- add gs_ref.ps.patch to set
  FontResourceDir to /usr/share/ghostscript/Resource/Font/ and
  GenericResourceDir to /usr/share/ghostscript/Resource/
- remove sub-package ghostscript-fonts-kanji
- remove all sub-packages CID* and CMap*
  (will come back from a different .spec file)
* Tue Nov 12 2002 ro@suse.de
- use "x-devel-packages XFree86" instead of "xf86" in neededforbuild
- XFree86 package is needed for mkcfm
* Tue Sep  3 2002 schwab@suse.de
- Use /dev/urandom instead of /dev/random to avoid blocking if
  system runs out of entropy.
* Tue Sep  3 2002 kukuk@suse.de
- Remove unused gdb from neededforbuild
* Fri Aug 30 2002 werner@suse.de
- Fix segmentation fault within cups driver (bug #18475)
- Fix pcl part of gimp-print library (bug #18475)
- Add new driver mainly for japanese market
* Wed Aug 28 2002 werner@suse.de
- Avoid rpm macro in Version line
* Fri Aug 23 2002 werner@suse.de
- Fix crash in gimp-print lexmark driver
* Fri Aug 23 2002 werner@suse.de
- Fix segmentation fault of gs in combination with gv and antialias
  (bug #18091)
* Thu Aug 15 2002 werner@suse.de
- Fix pre-requires (bug #17849/#17850/#17851)
* Wed Aug 14 2002 werner@suse.de
- ghostscript-library provides pstoraster (bug #17703)
* Tue Aug 13 2002 werner@suse.de
- Add missed pstoraster script and gs device cups (bug #17636)
* Fri Aug  9 2002 meissner@suse.de
- Fixed automake problem in Omni libs.
* Tue Aug  6 2002 schwab@suse.de
- Fix alignment bug again.
* Tue Aug  6 2002 meissner@suse.de
- Run libtoolize on Omni, use -mminimal-toc for ppc64.
* Tue Aug  6 2002 aj@suse.de
- Build ijs with -fPIC so that the lib uses PIC code.
* Mon Aug  5 2002 werner@suse.de
- Fix library path of the pkgconfig file gimpprint.pc of gimpprint
- Fix description in PBD
* Tue Jul 30 2002 werner@suse.de
- Update to ESP Ghostscript 7.05.3
  * Add missing/old drivers
- Update to Omni 0.7.0
- Update to gimp-print 4.3.3
- Update to hpijs 1.2
- Make it compile on 32bit and 64bit architectures
* Fri Jul 19 2002 kukuk@suse.de
- Remove readline-devel and openssl from neededforbuild, currently
  not needed
* Thu Jul 11 2002 mls@suse.de
- Don't remove URW directory in preinstall if it already is
  a symlink.
* Thu Jul  4 2002 werner@suse.de
- Diable security setting in ps2epsi.ps ... enabled version
  does not do the work for ps2epsi script (bug # 16739).
* Fri Jun  7 2002 schwab@suse.de
- Reenable OMNI.
* Fri Jun  7 2002 ro@suse.de
- use a define for building omni
- fix filelist according to define
* Thu Jun  6 2002 werner@suse.de
- Disable OMNI part due new gcc seems to break the XML parser
* Mon May 20 2002 schwab@suse.de
- Fix conflicting types.
- Fix invalid casts.
* Fri May 10 2002 werner@suse.de
- Fix broken ps2epsi (bug #16146)
* Fri May 10 2002 ro@suse.de
- complete Omni fix (same code needed in DeviceTester8.cpp)
* Wed May  8 2002 werner@suse.de
- Reenable OMNI part (thanks to ro@suse.de for THE patch)
* Wed May  8 2002 werner@suse.de
- Disable OMNI part and wait on a working compiler
* Tue May  7 2002 werner@suse.de
- Make it compile even on ia64
* Tue Apr 30 2002 werner@suse.de
- Try to get libgimprint into the correct libdir on 64bits
* Mon Apr 29 2002 werner@suse.de
- Move -fPIC patch into Omni patch
- Try to resolve all cast's of pointer addresses
* Fri Apr 26 2002 meissner@suse.de
- added -fPIC to libomni.so compilation, makes x86_64 compile further.
* Thu Mar 21 2002 mfabian@suse.de
- add entries for 'iso8859-15' to fonts.scale/fonts.dir from
  gnu-gs-fonts-std-6.0.tar.bz2 for all the URW fonts. All URW
  fonts support 'iso8859-15' completely, only the entries are
  missing to make them usable as 'iso8859-15' fonts in X11
  (for example with 'dia').
* Fri Mar 15 2002 mfabian@suse.de
- readded (Fontmap.greek) .runlibfile to
  /usr/share/ghostscript/6.51/lib/Fontmap. Somehow this entry got
  lost
* Wed Mar 13 2002 werner@suse.de
- Fix bug in hpijs/ijs interface: Use correct margins and sizes
* Fri Mar  8 2002 kukuk@suse.de
- Add /usr/share/ghostscript to filelist
* Fri Mar  8 2002 kukuk@suse.de
- Add %%{_libdir}/ghostscript to filelist
* Thu Mar  7 2002 werner@suse.de
- Fix nasty space in file name kludge for Omni drivers
* Fri Mar  1 2002 mfabian@suse.de
- add entries for 'iso8859-2' to fonts.scale/fonts.dir from
  gnu-gs-fonts-std-6.0.tar.bz2 for all the URW fonts. All URW
  fonts support 'iso8859-2' completely, only the entries are
  missing to make them usable as 'iso8859-2' fonts in X11
  (for example with 'dia').
- correct directory name in 'echo' in %%post/%%postun scripts
  for the CID-keyed fonts
* Thu Feb 28 2002 werner@suse.de
- Fix bug #14034: ghostscript should remove its scratch files from
  /tmp at exit.
* Tue Feb 26 2002 werner@suse.de
- Remove cups build dependencies
* Fri Feb 22 2002 werner@suse.de
- Switch to hpijs-1.0.3 compatible with new ijs interface of
  ghostscript 6.53
* Thu Feb 21 2002 werner@suse.de
- Disable the new IJS setup of ghostscript 6.53: IT DOES NOT WORK
* Tue Feb 19 2002 werner@suse.de
- Remove cups-drivers-stp from ghostscript main stream, we've
  just an other package
- Do NOT use the new gdevijs.c/gdevijs.h: They do NOT work
  with hpijs-1.0.2
* Mon Feb 18 2002 schwab@suse.de
- Fix for gcc 3.
* Fri Feb 15 2002 werner@suse.de
- Update to ghostscript 6.53 including update to gimprint 4.2.0
  due security reasons (PostScript code execution).  Official
  support of ijs and stp (libgimprint), better cjk support.
* Sun Feb 10 2002 ro@suse.de
- new option for bz2 tar is "j"
* Fri Feb  1 2002 mfabian@suse.de
- add (Fontmap.greek) .runlibfile to
  /usr/share/ghostscript/6.51/lib/Fontmap (xfntgreek installs
  a /usr/share/ghostscript/6.51/lib/Fontmap.greek)
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 30 2002 werner@suse.de
- Update of sub drivers
  + Omni-0.5.1
  + hpijs-1.0.2
- Include of sub drivers
  + pcl3-3.3
  + s400a1.upp: Canon S400
  + s400b1.upp: Canon S400
  + sharp_aj1800.upp: SHARP AJ1800
  + eplaseren-1.0.4 adapted to ghostscript 6.51
  + samsung-gdi with renaming DEVICE from `gdi' to `samsunggdi'
- Fix make.catalog and make.lost to use gs_serv instead of gs_both
* Tue Jan 29 2002 sndirsch@suse.de
- reverted URW changes; /usr/X11R6/lib/X11/fonts/URW is now a link
  again to /usr/share/ghostscript/fonts; problems with .gsf files
  now fixed in freetype2 lib
* Wed Jan 23 2002 sndirsch@suse.de
- added the symbolic links in /usr/X11R6/lib/X11/fonts/URW to the
  correct font package
* Fri Jan 18 2002 ro@suse.de
- fixed postinstall
* Thu Jan 17 2002 sndirsch@suse.de
- replaced /usr/X11R6/lib/X11/fonts/URW link with a directory in
  which there are links to ghostscript Type1 fonts; fixes bug
  in freetype2 library, which is triggered by .gsf files
* Wed Jan 16 2002 froh@suse.de
- added lib64 conformance
* Sun Jan 13 2002 mfabian@suse.de
- remove %%post and %%postun for CID-keyed fonts, it is enough
  when SuSEconfig updates the font directory, better don't
  duplicate the code here.
* Sat Nov 10 2001 ro@suse.de
- removed subpackages _both and _vga since svgalib is dropped
* Tue Oct 16 2001 werner@suse.de
- Make Omni source compiling even with gcc 3.0 compiler
* Sat Oct 13 2001 bjacke@suse.de
- don't build gimpprint plugin (autobuild slowdown due to gtk dependency)
* Sun Oct  7 2001 bjacke@suse.de
- new subpackages libgimpprint(-devel), gimpprint
- now build gimpprint with-cups as cups needs gimpprint support,
  this stuff is in subpackage cups-drivers-stp
- build with-gimp: Gimp's print plugin is now in a separate package
  and linked against libgimpprint
* Fri Sep  7 2001 werner@suse.de
- Add upp file for Sharp AJ1800
* Tue Aug 14 2001 werner@suse.de
- Disable readline option due this one leads to chrashes
  if inlined graphic is used.
* Mon Aug 13 2001 mfabian@suse.de
- activated the entries for the CID-keyed fonts which were
  commented out in Fontmap.CID because they crashed gs 5.50.
  gs 6.51 handles this fine, we can now use these entries.
* Tue Jul 31 2001 schwab@suse.de
- Make sure the ghostscript allocator properly aligns for jmp_buf (needed
  on ia64).
* Tue Jul 24 2001 kukuk@suse.de
- Add old provides back
* Mon Jul 23 2001 werner@suse.de
- Bug fixes: find Fontmaps even if not in current directory
- Correct dependencies
* Fri Jul  6 2001 werner@suse.de
- Use target cpu instead of architecture
* Fri Jul  6 2001 werner@suse.de
- Minor fixes for multi architecture build runs
* Thu Jul  5 2001 werner@suse.de
- Update to GNU ghostscript 6.51
- Update to Omi 0.3.1
- Update to gimp print 4.1.10
- Add several uniprint epson parameter files
- Split gdevcd8.c into gdevcd8-cdj880.c, gdevcd8-chp2200.c, and
  the new original gdevcd8.c.
- Rename packages into long name versions
- Make it work
* Tue May  8 2001 mfabian@suse.de
- bzip2 most sources
* Thu May  3 2001 werner@suse.de
- Update hpijs drvire from 0.93 to 0.95
- Add chp2200 driver
* Tue Apr 17 2001 werner@suse.de
- Fix manual page: tab as pre-processor needed
* Wed Apr 11 2001 werner@suse.de
- Use LD_RUN_PATH to set /usr/lib/ghostscript/ as loading
  path for Omni modules
* Tue Apr 10 2001 werner@suse.de
- Add Omni driver collection, integrate and test them
- Add pdf_sec.ps
* Fri Mar 30 2001 uli@suse.de
- replaced hardwired endianness in hpijs with sth more sensible
* Mon Mar 26 2001 werner@suse.de
- Update of hpijs driver package
* Wed Mar  7 2001 werner@suse.de
- We need a full X environment at build
* Thu Feb 22 2001 werner@suse.de
- Add hpijs driver package
* Wed Dec 20 2000 ro@suse.de
- reduce size of source-package by marking adobe-fonts as NoSource
* Wed Dec 20 2000 werner@suse.de
- Mark all fonts archives as NoSource
- Update manual page of stp driver to fit new version
* Tue Dec 19 2000 egger@suse.de
- Updated the stp driver to 4.1.0.
* Tue Nov 28 2000 mfabian@suse.de
- improved %%post and %%postun scripts for CID-keyed fonts:
  don't try to run mkfontdir during the install of the whole
  operating system.
* Tue Nov 28 2000 mfabian@suse.de
- when adding the .cfm files I made a mistake in generating
  the filelists which resulted in not packing the .cfm files and
  .afm files at all. This makes the use of these fonts really
  slow. Now fixed.
* Mon Nov 27 2000 mfabian@suse.de
- added the Fontmap entries for the free CID keyed fonts from
  Adobe again. They seem to have been lost during merging.
* Mon Nov 27 2000 mfabian@suse.de
- generated .cfm files for CID-keyed fonts with mkcfm
- shortened Fontmaps for CID-keyed fonts to avoid crashes of
  gs 5.50
* Thu Nov 23 2000 werner@suse.de
- make mandir during install dynamically
* Wed Nov 22 2000 werner@suse.de
- Use returned file descriptor of mkstemp(3) with fdopen(3)
* Wed Nov 15 2000 werner@suse.de
- Correct return type of declared mkstemp(3)
* Wed Nov 15 2000 werner@suse.de
- New meta driver stp
- Add driver for lexmark 7000, 5700, 3200, and 2050
- Use mkstemp and not mktemp
- Remove LD_RUN_PATH
* Fri Nov 10 2000 mfabian@suse.de
- added free CID keyed sample fonts from Adobe.
  (Korean, Japanese, and traditional Chinese)
- made these fonts available for X11 too.
* Wed Sep 27 2000 mfabian@suse.de
- added Korean Munhwa fonts (CID keyed fonts).
* Wed Jun 21 2000 werner@suse.de
- New driver for HP 970Cxi, bjc6000/bjc6100
* Sat May 27 2000 kukuk@suse.de
- use docdir macro
* Wed Apr  5 2000 bk@suse.de
- added s390 to non-svgalib architectures
* Mon Mar  6 2000 schwab@suse.de
- Don't build gs_vga and gs_both on ia64.
* Wed Feb 23 2000 werner@suse.de
- Swap tranfer curves of Cyan and Magenta
* Tue Feb 22 2000 werner@suse.de
- Install gs_both
* Mon Feb 21 2000 werner@suse.de
- Remove CMYK color patch: on some devices it fails
* Mon Feb 21 2000 werner@suse.de
- New version 5.50 with many bug fixes
- New drivers (cdj880, cljet5, dl2100, oki4w, stc740*.upp)
* Sat Nov 27 1999 kukuk@suse.de
- Don't build gs_both/gs_svga on SPARC (no svgalib)
* Mon Sep 27 1999 bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 ro@suse.de
- added Provides/Requires ghostscript_any ghostscript_x11
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul  8 1999 werner@suse.de
- fix png.h path
* Fri Jun 18 1999 werner@suse.de
- Backport of a bug fix for 5.50
* Fri Apr 16 1999 werner@suse.de
- last character is ; at the end of a font declaration
* Fri Apr 16 1999 werner@suse.de
- Insert missing %%%% into spec
* Tue Apr 13 1999 werner@suse.de
- Add russian fonts
* Thu Mar 18 1999 ro@suse.de
- fixed spec
* Fri Mar  5 1999 werner@suse.de
- Use Type1 fonts of ghostscript for X11
* Tue Feb 23 1999 werner@suse.de
- Again backport of some bug fixes for gs5.50
- Hold our, the official fixes, and the backports in different patches
* Mon Jan 11 1999 werner@suse.de
- Backport some bug fixes for gs5.50
* Sun Dec 20 1998 werner@suse.de
- New ghostscript GNU version 5.10
* Fri Dec  4 1998 werner@suse.de
- New hpdj driver 2.5
* Fri Nov 13 1998 bs@suse.de
- fixed spec file (doubel entry Summary)
* Thu Nov 12 1998 bs@suse.de
- fixed spec file for new rpm.
* Mon Oct 19 1998 werner@suse.de
- Add kanji fonts
* Thu Oct 15 1998 werner@suse.de
- Small fix: allow 720 DPI for bjc600/800
* Wed Oct 14 1998 werner@suse.de
- Backport a bug into bjc600/800 driver:
  possible resolutions for bjc800 are 150/300/600
* Tue Aug  4 1998 werner@suse.de
- Backport some bug fixes of gs5.10
* Thu Jul  9 1998 werner@suse.de
- Fix ps2epsi exploit
* Mon Jul  6 1998 werner@suse.de
- New hp850 driver: hp8xx (including HP 855, 870 670, 690, 890,
  1100, and 1600)
  - Use shared libraries vor png and zlib.
* Thu Jun 18 1998 werner@suse.de
- Change from  Aladdin 4.03 to GNU 40.3
  - Some Bug fixes
  - NewNew driver hl7x0 for Brother HL720 and HL730
* Fri May 15 1998 werner@suse.de
- Update the hpdj drivers (2.4)
  - Add gdev820c (0.1.3, 0.2 may unstable)
* Tue Feb 24 1998 werner@suse.de
- Update hpdj driver to version 2.3
  - Fix path in manual pages
  - Use 24 bit color depth for cdeskjet
  - Use BJC-600/800 driver version 6/7/96
  - Add missing start lines of PS files,
  add path for cheq.ps in chess.ps
  - Fix of zmedia2.c (comming with hpdj)
  - Add -Dconst= in compile options
  - Some minor changes
* Tue Jul 29 1997 werner@suse.de
- Change default type of hpdj driver to unspec
* Thu Jun 26 1997 werner@suse.de
- 42 ... type42
* Mon Jun 23 1997 werner@suse.de
- Add hpdj printer driver
  - Use -DA4 for compile the binary
* Mon Feb 10 1997 werner@suse.de
- Some Bug fixes for 4.03 integrated
  - New experimental driver for hp djet 850 added
  read /usr/share/ghostscript/4.03/doc/hp850.txt
* Thu Jan  2 1997 werner@suse.de
- Update auf Version 4.03
